<?php
/**
	File name : oTop.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


	The class at the origin / inherited by every other classes.
*/
class oTop {
	

	function __construct(){
	
		/**
			Set the test value to true for easy debugging messages.
		*/
		if (false){
		// if (true){
			$this->conditionalDebug= true;
		}else{
			$this->conditionalDebug= false;
		}
	} // construct
	
	/**
	*/	
	function condiDebug(){
		return $this->conditionalDebug;
	} // condiDebug
	
	/**
		Conditional debug print.
	*/	
	function cdPrint($str){
		if ($this->condiDebug()){
			print($str);
		}
	} // cdPrint	

	/**
	*/	
	function oPbt($mess,$pBackTrack=true){
		// debug_print_backtrace(); die();
	
		/*
		if ($pBackTrack){
			debug_print_backtrace();
		}
		
		die();
		*/
	} // oPbt
	
	function topErrAndDie($mess,$pBackTrack=true){
		print( _c_._c_.'Error : '.$mess._c_);
		$this->oPbt($mess,$pBackTrack);
	} // topErrAndDie
	
	function oError($mess,$pBackTrack=true){
		$this->topErrAndDie($mess,$pBackTrack);
	} // oError	

		
	/**
		For a general managment of errors. Instead of doing a printf calls this methods, 
		that depending on context can be programed for :
			- just display $mess (the error message)
			- display $mess and die.
			- stores inside a stack.
			
		$this->topErr('');				
	*/
	function topErr($mess){
		$this->oError($mess);
		$this->oPbt($mess);
	} // topErr

	/**
		Development Debug Messages that need to be short circuited at production time.
	*/
	function devErr($mess){
		$this->oError($mess);
		$this->oPbt($mess);
	} // devErr

	/**
		$this->oWarning('');
	*/	
	function oWarning($mess){
		print('Warning : '.$mess._c_);
	} // oWarning	


	/**
		Some improvment for the Php syntax that should be accessible anywhere.
	**/	
		
	/**
		Print (display) the given vector (associative array)
		$this->pv($vect);
		Input :
			$v : vector to display
			$deep : actual deepness
	*/	
	function pv($v,$ret=true,$marker='*pv ',$deep=0){
		$deep++;
		$buff= '';
		if (is_array($v)){
			reset($v);
			foreach ($v as $key=>$val){
				if (is_object($val)){
					$buff.= $marker.'$key='.$key.' Object!'._c_;
				}else{
				
					if ( is_string($val) ){
						if ($deep===1){
							$buff.= $marker.'$key='.$key.' $val='.$val.' b='.$this->b($val)._c_;
						}else{
							$buff.= $val;
						}
					}else{
						if (is_array($val)){
							$buff.= _c_.$marker.'$key='.$key.' $val='.$val.' b='.$this->b($val)._c_;
							$buff.= $this->pv($val,$ret,$marker,$deep);
						}else{
							// Whatever except and masybe a boolean! Watch the errors
							$buff.= $marker.'$key='.$key.' $val='.$val.' b='.$this->b($val)._c_;
						
						}
						
					}
					
				}
			}
		}else{
			$buff.= $this->pb($v);
		}
		
		if ($ret){
			return $buff;
		}else{
			print($buff);		
		}
	} // pv
	
	/**
		Display a boolean.
		$this->pb($b);
	*/	
	function pb($b,$ret=false,$mess='Boolean test : '){
		if ($ret){
			return $this->b($b,$mess)._c_;
		}else{
			print( $this->b($b,$mess)._c_);		
		}
	} // pb
	
	/**
		Return a boolean.
	*/	
	function b($b,$mess='Boolean test : '){
		if ($b===true){
			return $mess.'true';
		}else if ($b===false){
			return $mess.'false';
		}else{
			return $mess.'Not a boolean : '.$b;
		}
	} // b	
	
	
	
	/**
	*/
	function pvv($v,$marker='*pvv '){
		if (is_array($v)){
			reset($v);
			foreach ($v as $key=>$val){
				$this->pv($val,$marker);
			}
		}else{
			$this->pb($v);
		}
	} // pvv
	
	
	/**
		So string vectors can be understood!
	*/
	function pvString($v){
		foreach ($v as $key=>$val){
			print($val);
		}
		
		print(_c_._c_);
	} // pvString
	
	

	
	/**
		Print (display) the given vector as a string (forget the keys for now)
	*/	
	function pvas($v){
		reset($v);
		foreach ($v as $key=>$val){
			print($val);	
		}
	} // pvas	

	
	/**
		As a javascript writeLn, with an automatic CR
	*/	
	function p($s){
		print($s._c_);
	} // p	
	

	/**
		Print the Nth (starts at 0) $key, $val pair of the given array, or false if it does not exists.
	*/	
	function pElement(&$v,$n,$separator=' - '){
		$i=0;
		$gotIt= false;
		reset($v);
		foreach ($v as $key=>$val){
			if ($i===$n){
				$b= 'size='.sizeof($v).' - '.$key.$separator.$val;
				print($b);
				$gotIt= true;
				break;
			}
		
			$i++;
		}
		
		return $gotIt;
	} // pElement	

} // oTop
?>