<?php
/**
	File name : example.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	[extPlugin name="example" /]				[_ r="PLUGIN DECLARATION"/]
	[testPlug display="Plugin trial of : " /]		[_ r="A CALL TO tg_testplug()"/]
	
	Direct calls explicit central or external :
			$tagsFu->instExplitCentralCls('classN');
			$tagsFu->instExplitExternalCls('classN');
*/
class example extends oTop{
	
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->glob= &$tagsFu->glob;
		$this->caps= &$tagsFu->caps;
		$this->tools= &$tagsFu->tools;
		$this->fls= &$tagsFu->fls;
		$this->dtb= &$tagsFu->dtb;
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('example','debugDisplay',true);	
		$tagsFu->attribVect['testplug']= array('display');
	} // construct


	/**
	*/
	function tags(){
		return array('testplug');
	} // tags

	
	/**
		The method used to test this plugin and call with 
			[testPlug display="Plugin trial of : " /]
	*/
	function tg_testplug(&$v,&$bd){
		$caps= &$this->caps;
				
		$dspl= '<h1>'.$v['display'].' example </h1>';		
		$dspl.= '<span class="someMoreFont" onClick="example.writeThreeTimes(\'example \')">One More Line !!! </span>';
		$dspl.= _c_sT;
		$dspl.= '<span class="someMoreFont" onClick="example.clearWrite(\'\')"> Clear !!! </span>';
		$dspl.= _c_;				
		
		// An area to display any javascript messages as a supplementary debug tool
		$area= '';		
		$area.= $caps->textarea('debugDisplay',19,40,'',$caps->matCss('someFont'));
		$area= $caps->sDiv($dspl._c_.$area, 'width:445px; border:2px solid red; padding:10px; margin:2px; float:left;');		
		return $area._c_;
	} // tg_testplug
	
		
	/**
	*/
	function tg_tmptag(&$v,&$bd){
		$caps= &$this->caps;
		$tools= &$this->tools;
	
	} // tg_tmptag

		
	/**
	*/
	function tmp(){
	} // tmp
		
} // example
?>