<?php
/**
	File name : filesMgCritical.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


	A class to check the path / files used by critical function without executing them to avoid the risk of writing
	garbages, sprending too much time or erasing important files. Once the eyball test on the past and file is done
	we can replace the instanciation of filesMgCritical by the one of filesMg to have a real execution.
	
	Calls :
		Constructor instanciation :
			include _c_LibPath . 'filesMgCritical.php';
			$this->flMgCrit= new filesMgCritical($asa);
	
		Instance variable :
			$fls= &$this->flMgCrit;	// also see excluded ###

*/
class filesMgCritical extends filesMg{
	

	function __construct(&$asa){
		parent::__construct($asa);
		
		define('_c_flsMgCritNewL', _c_);
	} // construct


	function setDirRights($srcPath,$recurs, $dirMode,$flMode){
		print('setDirRights::'.$srcPath._c_);
		print(_c_flsMgCritNewL);
	} // setDirRights

	
	function smplArchCreation($vectFn, $archDFn, $prfxSz=0, $maxFlSz=false, $prfxLocN='./'){
		if (!is_array($vectFn)){
			print('smplArchCreation::$vectFn='.$vectFn._c_);
		}
		print('smplArchCreation::$archDFn='.$archDFn._c_);
		print(_c_flsMgCritNewL);
	} // smplArchCreation
	
	
	function secureRenameNS($oldPath,$oldFN, $newPath,$newFN){
		print('secureRenameNS::$oldPath/$oldFN='.$oldPath.'/'.$oldFN._c_);
		print('secureRenameNS::$newPath/$newFN='.$newPath.'/'.$newFN._c_);
		print(_c_flsMgCritNewL);
	} // secureRenameNS
	
	
	function mvContentSrcIntoDest($srcPath,$destPath){
		print('mvContentSrcIntoDest::$srcPath='.$srcPath._c_);
		print('mvContentSrcIntoDest::$destPath='.$destPath._c_);
		print(_c_flsMgCritNewL);
	} // mvContentSrcIntoDest
	

	function cpyContentSrcIntoDest($srcPath,$destPath){
		print('cpyContentSrcIntoDest::$srcPath='.$srcPath._c_);
		print('cpyContentSrcIntoDest::$destPath='.$destPath._c_);
		print(_c_flsMgCritNewL);
	} // cpyContentSrcIntoDest
	

	function copyDirectories($srcPath,$destPath,$strong=false){
		print('copyDirectories::$srcPath='.$srcPath._c_);
		print('copyDirectories::$destPath='.$destPath._c_);
		print(_c_flsMgCritNewL);
	} // copyDirectories


	function copyFile($srcPF,$destPF, $strong=false){
		print('copyFile::$srcPF='.$srcPF._c_);
		print('copyFile::$destPF='.$destPF._c_);
		print(_c_flsMgCritNewL);
	} // copyFile


	function secureCopy($srcPF,$destPF, $strong=false){
		print('secureCopy::$destPF='.$destPF._c_);
		print(_c_flsMgCritNewL);
	} // secureCopy


	function removeDir($srcPath){
		print('removeDir::$srcPath='.$srcPath._c_);
		print(_c_flsMgCritNewL);
	} // removeDir


	function ultraRemoveDir($srcPath){
		print('ultraRemoveDir::$srcPath='.$srcPath._c_);
		print(_c_flsMgCritNewL);
	} // ultraRemoveDir
		
	
	function secUnlink($pF){
		print('secUnlink::$pF='.$pF._c_);
		print(_c_flsMgCritNewL);
	} // secUnlink
		
	
	function chgMode($fn, $mode= _c_stdFoldersRights){
		print('chgMode::$fn='.$fn._c_);
		print('Defensive programming message, no detection done, in fact it can\'t be done because we can\'t differentiate octal and decimal numbers when inputed as integer inside a method, so $mode is best given in octal (the number starts with a zero : 0 and is NOT given inside a string)'._c_);
		
		$octStr= decoct($mode);
		print('chgMode:: (printed as a string to stay recognisable) $mode='.$octStr._c_);	// 
		print(_c_flsMgCritNewL);
	} // chgMode
	
	
	function strToFile($dfn,$gStr,$mode="w", $forceIt= false){
		print('strToFile::$dfn='.$dfn._c_);
		print(_c_flsMgCritNewL);
	} // strToFile
		
} // filesMgCritical
?>