<?php
/**
	File name : arianeParsing.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	[cenPlugin name="arianeParsing" /]					[_ r="PLUGIN DECLARATION"/]
	[testPlug display="Plugin trial of : " /]		[_ r="A CALL TO tg_testplug()"/]
	
	An ariane thread purposed class to grap the up page defined by [menUp ... /] as simply as possible.
*/
class arianeParsing extends oTop{
	
	// CONSTRUCTOR
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->glob= &$tagsFu->glob;
		$glob= &$this->glob;
		$this->caps= &$tagsFu->caps;
		$this->tools= &$tagsFu->tools;
		$this->fls= &$tagsFu->fls;
		$this->dtb= &$tagsFu->dtb;
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('arianeParsing','debugDisplay',false);	
		
		$tagsFu->attribVect[_c_tgMenUp]= array('ref','pg'); // 'ref' === 'pg'
		$tagsFu->attribVect[_c_tgMenTree]= array('pg','down','visible');
		$tagsFu->attribVect[_c_tgMenBut]= $glob->menButAttribV;
		
		$this->upTagReference= '';
	} // construct


	/**
	*/
	function tags(){
		return array('menup','mtree','menbut');
	} // tags
	
	/**
	*/
	function getUpTagRef(){
		return $this->upTagReference;
	} // getUpTagRef
	

	/**
	*/
	function tg_menup(&$v,&$bd){	
		$this->upTagReference= $v['ref'];
	} // tg_menup
	

	/**
	*/
	function tg_mtree(&$v,&$bd){
		return '';	// just to get rid of the tag, for this specific parsing we are only interested in grabing the page value of [menUp ... /]
	} // tg_mtree
	

	/**
		To ecrases stdMenus::tg_menbut() ulMenus::tg_menbut() for the ariane button
		----> Just returns the button string link and does not bother about sub-tree or anything else.
	*/
	function tg_menbut(&$v,&$label){
		$tools= &$this->tools;
		$caps= &$this->caps;

		$curPage= $tools->getUrlPageName();
		$newPage = $v['pg'];
		
		$flw= $v['follow'];	// local follow got th epriority if define! Nor defied === false, other ok or ko
		$attS= $caps->matCss('arianeOut');
		if ( (_c_allMenusNoFollow && $flw===false) || $flw===_c_ko ){
			$attS.= $caps->noFollowStr();
		}
		return $caps->hLink( $tools->urlGivenPage($newPage), $label, $attS);
	} // tg_menbut
		
} // arianeParsing
?>
