/**
	File name : installer.js
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


*/

/**
*/
function installer(){

	// Public global "Instance" Variables.
	this.pubGV= 'PublicGlobalVariable';
	
	// Public Methods "class functions" Interface.
	this.ddMenuThematic= ddMenuThematic;	
	this.comboVD= comboVD;	
	this.comboICO= comboICO;	


	/**
	*/
	function ddMenuThematic(vertbg, genIn, genOut, genHovering, txtSz,txtcolor,hoverAll, bgA,bgB,bgC,bgD){
		// Original modifications
		
		// sPhMenuTxt
		kk.adaptCombo('sPhMenuTxtFontSz','18');
		kk.adaptCombo('sPhMenuTxtColor','black');
		kk.adaptCombo('sPhMenuTxtWeight','bold');
		
		
		kk.adaptCombo('ddMenuTxtFontSz',txtSz);
		kk.adaptCombo('ddMenuTxtColor',txtcolor);
		
		kk.adaptCombo('ddMenHovColor',hoverAll);
		kk.adaptCombo('ddMenHovColor2',hoverAll);
		kk.adaptCombo('ddMenHovColor3',hoverAll);
		kk.adaptCombo('ddMenHovColor4',hoverAll);
		
		kk.adaptCombo('ddMenBgColor',bgA);
		kk.adaptCombo('ddMenBgColor2',bgB);
		kk.adaptCombo('ddMenBgColor3',bgC);
		kk.adaptCombo('ddMenBgColor4',bgD);
		
		
		// linked modifications
		kk.adaptCombo('verticalDeco',vertbg);
		
		// headers
		kk.adaptCombo('mainHeaderColor',genOut);

		// language menu
		kk.adaptCombo('menLanguageInColor',genIn);
		kk.adaptCombo('menLanguageOutColor',genOut);
		kk.adaptCombo('menLanguageHoverColor',genHovering);
		
		// statical menus
		kk.adaptCombo('menuInColor',genIn);
		kk.adaptCombo('menuOutColor',genOut);
		kk.adaptCombo('menuHoverColor',genHovering);
	} // ddMenuThematic


	/**
		To manage the combo box for vertical decoration.
		js="installer.comboVD('')"
	*/
	function comboVD(val){
		kk.adaptCombo('verticalDeco',val);
	} // comboVD


	/**
		js="installer.combo('')"
	*/
	function comboICO(val){
		kk.adaptCombo('tabsAndBmIcon',val);
	} // comboICO


	/**
	*/
	function chabl(){
	
	} // chabl

} // installer
