<?php
/**
	File name : custoMenFu.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


	A specialised class with little utility exept to display the drop menu title 
	inside the current page as an all upper cases title.
	
	[setExplPlugin path="central/menus/" name="custoMenFu" /]
*/
class custoMenFu extends oTop{
	

	function __construct(&$tagsFu){
		parent::__construct();	
		$this->tagsFu= &$tagsFu;
		$this->glob= &$tagsFu->glob;		
		$this->caps= &$tagsFu->caps;
		$this->dtb= &$tagsFu->dtb;		
		$this->tools= &$tagsFu->tools;		
		$this->parser= &$tagsFu->parser;		
		$this->acc= &$tagsFu->acc;		
		$this->fls= &$tagsFu->fls;		
		$this->rights= &$tagsFu->rights;	
		
				
		$this->html3= array(
		'&AGRAVE;','&AACUTE;','&ACIRC;','&AUML;',
		'&EGRAVE;','&EACUTE;','&ECIRC;','&EUML;',
		'&IGRAVE;','&IACUTE;','&ICIRC;','&IUML;',
		'&OGRAVE;','&OACUTE;','&OCIRC;','&OUML;',
		'&UGRAVE;','&UACUTE;','&UCIRC;','&UUML;',
		'&CCEDIL;','&DEG;');		
		
		$tagsFu->attribVect['titlemenu']= array('cls','upper','ttl');		
	} // construct

	/**
		Used to load tagsVect with all the tags used by this class.
	*/
	function tags(){
		return array('titlemenu');
	} // tags


	/* ------------------------------------------------------------------------------
	*/	
	function toHtmlUpperCode($s){
		$acc= &$this->acc;
		return str_replace($this->html3,$acc->html2,$s);
	} // toHtmlUpperCode


	/**
		[titleMenu cls="ln" upper="ok" /]
	*/
	function tg_titlemenu(&$v,&$bd){
		$glob= &$this->glob;
		$acc= &$this->acc;
		$tools= &$this->tools;
		$caps= &$this->caps;
		$tagsFu= &$this->tagsFu;
		
				
		$pg= $tools->getUrlPageName();		
		
		$glob->sortOfMenus= 'body';		
		$ttl= $v['ttl'];
		if ($ttl===false){
			$tagsFu->tagSubstitOn('menbut','menbutlabel');
			$label= $tagsFu->includeRec($pg,_c_PolyCellPgM,_c_pcMainStr);
			$tagsFu->tagSubstitOff('menbut');
			
		}else{
			// forces the given title
			$label= $ttl;
		}	
			
		$glob->sortOfMenus= 'def';
		$cls= $v['cls'];
		if ($v['upper']==='ok'){
			$label= strtoupper($label);
			$label= $this->toHtmlUpperCode($label);
		}
		$leftImg= $caps->image(_c_UsrImagePath.'ubiquitous/vg_title_item.gif','','leftImg');
		return _c_BrFlux.$caps->div($leftImg.$label,$cls)._c_BrFlux;
	} // tg_titlemenu
	
} // custoMenFu

?>
