<?php
/**
	File name : personalGenVar.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	Creates a personal (automatically adapted to the webmaster user Id) genVar table.

	[cenPlugin name="personalGenVar" /]					[_ r="PLUGIN DECLARATION"/]
	[testPlug display="Plugin trial of : " /]		[_ r="A CALL TO tg_testplug()"/]
	
	Direct calls explicit central or external :
			$tagsFu->instExplitCentralCls('classN');
			$tagsFu->instExplitExternalCls('classN');
			
	Deprecated, keep it in case of concept revitalisation!!
	
	Deprecated, ---> personalGenVar::tg_creategenvartbl
*/
class personalGenVar extends oTop{
	
	// CONSTRUCTOR
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->glob= &$tagsFu->glob;
		$this->caps= &$tagsFu->caps;
		$this->tools= &$tagsFu->tools;
		$this->fls= &$tagsFu->fls;
		$this->dtb= &$tagsFu->dtb;
		$this->rMg= &$tagsFu->rMg;
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('personalGenVar','debugDisplay',false);
		
		$tagsFu->attribVect['testplug']= array('display');
		$tagsFu->attribVect['creategenvartbl']= false;
	} // construct


	/**
	*/
	function tags(){
		return array('testplug','creategenvartbl');
	} // tags
	
		
	/**
		[createGenvarTbl /] : to create the personal genVar table.
	*/
	function tg_creategenvartbl(&$v,&$bd){
		$rMg= &$this->rMg;
		$dtb= &$this->dtb;
	
		$gvcs= $dtb->getGenVar('genVarCreationStr');
		$gvcs= str_replace(_c_GenVarTbl, $dtb->pGvTblNm(), $gvcs);
		$dtb->dtbQuery($gvcs);
	} // tg_creategenvartbl


	/**
		The method used to test this plugin and call with 
			[testPlug display="Plugin trial of : " /]
	*/
	function tg_testplug(&$v,&$bd){
		$caps= &$this->caps;
				
		$dspl= '<h1>'.$v['display'].' personalGenVar </h1>';		
		$dspl.= '<a href="#" class="someMoreFont" onClick="personalGenVar.writeThreeTimes(\'personalGenVar \')">One More Line !!! </a>';
		$dspl.= _c_sT;
		$dspl.= '<a href="#" class="someMoreFont" onClick="personalGenVar.clearWrite(\'\')"> Clear !!! </a>';
		$dspl.= _c_;				
		
		// An area to display any javascript messages as a supplementary debug tool
		$area= '';		
		$area.= $caps->textarea('debugDisplay',19,40,'',$caps->matCss('someFont'));
		$area= $caps->sDiv($dspl._c_.$area, 'width:445px; border:2px solid red; padding:10px; margin:2px; float:left;');		
		return $area._c_;
	} // tg_testplug
	
		
	/**
	*/
	function tg_tmptag(&$v,&$bd){
		$caps= &$this->caps;
	
	} // tg_tmptag

		
	/**
		Template for standard methods.
	*/
	function templateStd(){
	
	
	} // templateStd
		
} // personalGenVar
?>
