<?php
/**
	File name : rareTags.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	A place to define rarely used general tags so we do not drag along an excessive quantity of code.

	[cenPlugin name="rareTags" /]				[_ r="PLUGIN DECLARATION"/]
	
	Direct calls explicit central or external :
			$tagsFu->instExplitCentralCls('classN');
			$tagsFu->instExplitExternalCls('classN');
*/
class rareTags extends oTop{
	
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->glob= &$tagsFu->glob;
		$this->caps= &$tagsFu->caps;
		$this->tools= &$tagsFu->tools;
		$this->fls= &$tagsFu->fls;
		$this->dtb= &$tagsFu->dtb;
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('rareTags','debugDisplay',false);	
		$tagsFu->attribVect['assigncurrentpg']= array('pg');
	} // construct


	/**
	*/
	function tags(){
		return array('assigncurrentpg');
	} // tags
	
	/**
		Changes the current page with the given page.
		[assignCurrentPg pg="" /]
	*/
	function tg_assigncurrentpg(&$v,&$bd){
		$tools= &$this->tools;
		$tools->assignCurrentPg($v['pg']);
	} // tg_assigncurrentpg
			
} // rareTags
?>
