/**
	File name : tablesEditor.js
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


*/

/**
*/
function tablesEditor(){		
	this.write= write;
	this.writeLn= writeLn;
	this.setTblEditTA= setTblEditTA;
	this.changeCurTable= changeCurTable;
	this.changeCurCateg= changeCurCateg;
	this.cleanAndChangeImplem= cleanAndChangeImplem;
	
	


	// Private global "Instance" variable for the "class"
	var crLn= kk.crLn		// "\r\n";	often handy/shorter to have it locally.
	
	
	/*
		forumBar.setFumBar('bdyNm','emoticonFiller');	// strict forum case
		forumBar.setFumBar('mainStr','edtGallDivNm');	// general edition case
	*/
	function setTblEditTA(areaNm){
		localStorage.globCurTxtArNme= areaNm;
	}; // setTblEditTA


	/**
		Input :
			selId : selection Id
			curUrl : current url
	*/
	function changeCurTable(selId,curUrl){
		list= document.getElementById(selId);
		curTblNm= list.options[list.selectedIndex].value;
		location.href= curUrl + '&'+selId+'='+curTblNm;
	}; // changeMmMode


	/**
		Input :
			selId : selection Id
			curUrl : current url
	*/
	function changeCurCateg(selId,curUrl){
		list= document.getElementById(selId);
		curCategNm= list.options[list.selectedIndex].value;		
		location.href= curUrl + '&'+selId+'='+curCategNm;
	}; // changeCurCateg
	
	
	/*
		On-release, fetch the URL matching the released state for the concerned DTB imnplementation -->
		Clean up before DTB implementation change and change --> cleanAndChangeImplem
	*/
	function cleanAndChangeImplem(comboName,urlSimul,urlSql){
		var comboState= document.getElementById(comboName).value;
		switch (comboState){
			case 'simulSql':
				location.href= urlSimul;
			break;
			
			case 'aMySql':
				location.href= urlSql;
			break;
			
			default: alert('cleanAndChangeImplem');
		} // switch
	}; // cleanAndChangeImplem
	



	/* --------------------------------------------
		"Cloned" methods for usage easiness 
	*/
	function write(s){kk.write(s);}
	function writeLn(s){kk.writeLn(s);}


} // tablesEditor
