<?php
/**
	File name : topAdmin.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	[cenPlugin name="topAdmin" /]					[_ r="PLUGIN DECLARATION"/]
	[testPlug display="Plugin trial of : " /]		[_ r="A CALL TO tg_testplug()"/]
			
	admin / admTools / topAdmin : could examine some merging.
*/
class topAdmin extends oTop{
	
	// CONSTRUCTOR
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->glob= &$tagsFu->glob;
		$this->caps= &$tagsFu->caps;
		$this->tools= &$tagsFu->tools;
		$this->fls= &$tagsFu->fls;
		$this->dtb= &$tagsFu->dtb;
		$this->rMg= &$tagsFu->rMg;
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('topAdmin','debugDisplay',false);
		
		$tagsFu->attribVect['cnectinfos']= false;
		$tagsFu->attribVect['serverinfos']= false;
		$tagsFu->attribVect['ataoxattrbdspl']= false;
		$tagsFu->attribVect['guestloginlink']= false;
		$tagsFu->attribVect['forbidguest']= false;
		$tagsFu->attribVect['onlyguest']= false;
		$tagsFu->attribVect['adminmessage']= array('el','cls');
	} // construct


	/**
	*/
	function tags(){
		return array('cnectinfos','serverinfos','ataoxattrbdspl','guestloginlink','forbidguest','onlyguest','adminmessage');
	} // tags
			
		
	/**
		Display all the =.../zCms/zPhpData/connect/cstDtbNect.php constants
		[cnectInfos /]
	*/
	function tg_cnectinfos(&$v,&$bd){
		$glob= &$this->glob;
		$caps= &$this->caps;
		$rMg= &$this->rMg;
		
		$b= '';
		if ($glob->cndtWrRghts===false){
			$b.= $caps->span($glob->el('Sorry connection information needs more rights.','kary'),'topAdminTtlL')._c_._c_;
			return $b;
		}
		
		$b.= $caps->span($glob->el('Connection information...','karz'),'topAdminTtlL')._c_;
		
		$b.= $caps->heaDiv('width:700px; border:0px dashed red; padding:10px; margin-left:30px;');
		
		$wmId= $rMg->realTimeUserId();
		$b.= $caps->span($glob->el('Webmaster identification...','kasa'),'topAdminLbl').$caps->span($wmId,'topAdminInf')._c_;

		
		switch (_c_CurrentDtbAbstract){
			case 'aMySql':
				$b2= $caps->span($glob->el('Current abstraction of the database : ','kasb'),'topAdminLbl');
				$b2.= $caps->span(_c_CurrentDtbAbstract,'topAdminInf');
				$b2.= ' '.$caps->span($glob->el('(this the standard MySql...','kbmz'),'topAdminLbl')._c_;
			break;
			
			case 'simulSql':
				$b2= $caps->span($glob->el('Current abstraction of the database : ','kasb'),'topAdminLbl');
				$b2.= $caps->span(_c_CurrentDtbAbstract,'topAdminInf');
				$b2.= ' '.$caps->span($glob->el('(this a MySql partial simulation...','kbna'),'topAdminLbl')._c_;
			break;
			
			default:;
		} // switch
		
		$b2= $caps->monoList($b2);
		
		

		$cB= $caps->span($glob->el('Main datas folder name (home) : ','kbmv'),'topAdminLbl');
		$cB.= $caps->span(_c_userDataDirName,'topAdminInf');
		$b2.= $caps->monoList($cB);


		// General server state
		$b.= _c_.$caps->span($glob->el('You are working with : ','kasd'),'topAdminTtl')._c_;
		$b.= $b2;
			
		switch (_c_CurrentDtbAbstract){
			case 'aMySql':
				// ------------- Only MySql -------------------
				$b.= $caps->span($glob->el('Name of the database server : ','kasi'),'topAdminLbl');
				$b.= $caps->span(_c_prodDTBServerName,'topAdminInf')._c_;
		
				$b.= $caps->span($glob->el('Database name : ','kasc'), 'topAdminLbl');
				$b.= $caps->span(_c_UsrDbName, 'topAdminInf')._c_;
				
				$b.= $caps->span($glob->el('Database user name : ','kase'),'topAdminLbl');
				$b.= $caps->span(_c_dtbExtUsrName,'topAdminInf')._c_._c_;
				
				$b.= $caps->span($glob->el('Crypted password to access the database : ','kasf'),'topAdminLbl');
				$b.= $caps->span(_c_dtbExtCrpPwName,'topAdminInf')._c_;
				
				$b.= $caps->span($glob->el('Crypting key used on the above crypted password : ','kasg'),'topAdminLbl');
				$b.= $caps->span(_c_softCrypKey,'topAdminInf')._c_;		
				$b.= $this->jsUncryptDtbPw();
			break;
			
			case 'simulSql':
				// ------------- Only 100% Php -------------------
				// Database access path
				$cB= $caps->span($glob->el('Database access path : ','kbmw'),'topAdminLbl');
				$cB.= $caps->span(_c_phpDtbNS,'topAdminInf');
				$b.= $caps->monoList($cB);
			break;
			
			default:;
		} // switch
		
		$cB= $caps->span($glob->el('Complete access path to the main site php index : ','kash'),'topAdminLbl');
		$cB.= $caps->span(_c_siteUrlAccess,'topAdminInf');
		$b.= $caps->monoList($cB);
		
		$b.= $caps->enDiv();
		return $b;
	} // tg_cnectinfos
						
		
	/**
		Display some server information.
		[serverInfos /]
	*/
	function tg_serverinfos(&$v,&$bd){
		$glob= &$this->glob;
		$caps= &$this->caps;
		$rMg= &$this->rMg;
		
		$b= '';
		if ($glob->cndtWrRghts===false){
			$b.= $caps->span($glob->el('Sorry the server information needs more rights.','kban'),'topAdminTtlL')._c_._c_;
			return $b;
		}
		
		$b.= _c_;
		$b.= $caps->span($glob->el('Server information : ',''),'topAdminTtlL')._c_;		
		$b.= $caps->heaDiv('width:700px; border:1px dashed red; padding:10px; margin-left:30px;');
		
		$b.= $this->testSafeMode();
		$b.= _c_;
		$b.= _c_;
		$b.= $this->phpInfosLink();
		
		$b.= _c_;
		$b.= _c_;
		
		
		$b.= $caps->span( $glob->el('Last Php Prpcess Id : ','lppiNoTrad'), 'topAdminLbl');		
		$b.= $caps->span( getmypid(), 'topAdminInf');
		
		$b.= $caps->enDiv();
		return $b;
	} // tg_serverinfos
			
			
	/**	
		A click button to do the test in Javascript.
		[jsUncryptDtbPw /]
	*/
	function jsUncryptDtbPw(){
		$glob= &$this->glob;
		$caps= &$this->caps;
		
		$js= $caps->jsOnclickFuCallStr('topAdmin.jsUncryptDtbPw',2,0,_c_dtbExtCrpPwName,_c_softCrypKey);
		$b='';
		// $b.=$caps->bookMark('jsuncryptdtbpw').$caps->jsLink($glob->el('Uncypher the database password :','kasj'),'topAdminLink',$js,'#jsuncryptdtbpw');	
		// $b.= $caps->span('?','topAdminInf','','idDtbPwDspl')._c_;
		$b.= _c_.$caps->span($glob->el('Remark : it\'s necessary to have a webmaster access to use this password...','kask'),'topAdminLbl')._c_._c_;
		return $b;
	} // jsUncryptDtbPw
			
		
	/**
		To display the Ataox attributes.
		[ataoxAttrbDspl /]
	*/
	function tg_ataoxattrbdspl(&$v,&$bd){
		$glob= &$this->glob;
		$caps= &$this->caps;
		$dtb= &$this->dtb;
		
		$vers= $dtb->getGenVar('ataoxVersionNb');
		$attrb= $dtb->getGenVar('ataoxAttribute');
	
		$intro= $glob->el('Ataox version : ','kavu');
		$b= $caps->span($intro.$vers.' '.$attrb, 'efLb')._c_;
		
		return $b;
	} // tg_ataoxattrbdspl
			
		
	/**
	*/
	function testSafeMode(){
		$caps= &$this->caps;
		$fls= &$this->fls;
		
		$alert= $fls->alertSafeMode($message);
		if ($alert){
			return $caps->span($message,'topAdminErr');
		}else{
			return $caps->span($message,'topAdminLbl');
		}
	} // testSafeMode
			
		
	/**
	*/
	function phpInfosLink(){
		$caps= &$this->caps;
		
		$url= _c_zCms._c_mainUsrSecretDir.'/phpInfos.php';
		return $caps->hL($url,'Php Infos.','topAdminLink','_blank');
	} // phpInfosLink


	/**
		[guestLoginLink /]
	*/
	function tg_guestloginlink(&$v,&$bd){
		$glob= &$this->glob;
		$caps= &$this->caps;
		$tools= &$this->tools;
		$dtb= &$this->dtb;
		
		if ($dtb->recordExists(_c_UsersTbl, $dtb->quickWhere(_c_userId,_c_guestUserId)) ){
			$url= _c_IndexDFN._c_Interog._c_pwGuestLBoxR.'='._c_pwGuestBoxRVal._c_Amp._c_userIdNm.'='._c_guestUserId;
			$url.= $tools->addUrlVar( _c_edtLang, $glob->edtLg() );
			$dspl= $caps->hL($url,$glob->el('To log as a Guest!','kblr'),'textOut','_blank');
		}else{
			$dspl= $caps->span(_c_guestUserId.' '.$glob->el('s not defined!','kbls'),'textOut');
		}
	
		return $dspl;
	} // tg_guestLoginLink
			
					
	/**
		[forbidGuest] A tag forbidding the Guest
	*/
	function tg_forbidguest(&$v,&$bd){
		$rMg= &$this->rMg;

		if ( $rMg->realTimeUserId()===_c_guestUserId ){
			return '';
		}else{
			return $bd;
		}
	} // tg_forbidguest
			
					
	/**
		A tag returning the content only for the guest!!
			[onlyGuest] 
				[adminMessage el=** /]
			[/onlyGuest] 
	*/
	function tg_onlyguest(&$v,&$bd){
		$rMg= &$this->rMg;

		if ( $rMg->realTimeUserId()===_c_guestUserId ){
			return $bd;
		}else{
			return '';
		}
	} // tg_onlyguest
	
	
	/**
		[adminMessage el=** /]
	*/
	function tg_adminmessage(&$v,&$bd){
		$tools= &$this->tools;
		$caps= &$this->caps;
		$glob= &$this->glob;
		
		$elCode= $v['el'];
		$cls= $tools->binLoads($v['cls'],'efLb');
		return $caps->span($glob->el('topAdmin::tg_adminmessage : No code given',$elCode),$cls);
	} // tg_adminmessage
	
		
} // topAdmin
?>
