/**
	File name : userCtrlFeedback.js
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


*/

/**
*/
function userCtrlFeedback(){

	// Public global "Instance" Variables.
	this.pubGV= 'PublicGlobalVariable';
	
	
	// Public Methods "class functions" Interface.
	this.statsTA= statsTA;
	this.clrStatsTA= clrStatsTA;
	
	// Private global "Instance" variable for the "class"
	var crLn= kk.crLn		// "\r\n";	often handy/shorter to have it locally.	
	
	/* -----------------------------------------------------------------------
		To display statistics on the id text area.
			Input :
				idTA : id text area
				taSpace : text area size in byte
	*/
	function statsTA(idTA,taSpace, typedMess,leftOverMess){
		var taStr= document.getElementById(idTA).value;
		
		// ... for the nb of chars in a string have a look at https://stackoverflow.com/questions/2848462/count-bytes-in-textarea-using-javascript
		var nbCodeUnits= taStr.length; // code units of 16 bits. https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/length
		
		var taken= 2*nbCodeUnits;	// in byte
		var leftOver= taSpace-taken;	// in bytes
		
		
		var takenH= nbCodeUnits;	// in double byte
		var leftOverH= Math.round((taSpace-taken)/2);	// in double bytes
		
		var dsplStr= typedMess+': '+takenH+'; '+leftOverMess+': '+leftOverH;
		
		kk.setInnerHtml(dsplStr,'statsCharsInTA');
	} // statsTA
	
	function clrStatsTA(){
		kk.setInnerHtml('','statsCharsInTA');
	} // clrStatsTA
	

} // userCtrlFeedback
