<?php
/**
	File name : yEdtTools.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	[cenPlugin name="yEdtTools" /]				[_ r="PLUGIN DECLARATION"/]
	[testPlug display="Plugin trial of : " /]		[_ r="A CALL TO tg_testplug()"/]
	
	Direct calls explicit central or external :
			$tagsFu->instExplitCentralCls('classN');
			$tagsFu->instExplitExternalCls('classN');
	
	yEdtTools (shared between  textEditor, tablesEditor and Y-editor (will see whats coming up to take the place of Y) )
	Normally not used for tags definition (still could happends), but more used for little common tools between editors!
	
	Call it with : $yEdtTools= $tagsFu->instExplitCentralCls('yEdtTools');
*/
class yEdtTools extends oTop{
	
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->glob= &$tagsFu->glob;
		$this->caps= &$tagsFu->caps;
		$this->tools= &$tagsFu->tools;
		$this->fls= &$tagsFu->fls;
		$this->dtb= &$tagsFu->dtb;
		$this->cacheWr= &$tagsFu->cacheWr;
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('yEdtTools','debugDisplay',false);	
	} // construct


	/**
	*/
	function tags(){
		return array();
	} // tags
	
		
	/**
		Returns true if a cache may have to be re-written because of a webmaster edition
		
		Returns true if the conditions to re-write many sort of caches are on! General Cache Rewritting Conditions
		The specific condition still need to
		be determined locally at the caller spot!
	*/
	function cacheRewrCond(){
		$dtb= &$this->dtb;
		$cacheWr= &$this->cacheWr;
	
		$accptCWr= $dtb->getGenVar('acceptPgCacheWriting')===_c_ok;
		$pgEACh= $dtb->getGenVar('pgEditionAutoCache')===_c_ok;	// auto updating of the cache when editing
		return $accptCWr && $pgEACh && $cacheWr->allowToWrite();
	} // cacheRewrCond
			
} // yEdtTools
?>
