<?php
/**
	File name : startAtaoxInstallationOnServer.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


		The installation starter!
	*/

	// Make sure errors will be shown
	ini_set('display_startup_errors', true);
	ini_set('display_errors', true);
	error_reporting(E_ALL);
	clearstatcache();	// some system file cache
	
	// date_default_timezone_set('Europe/Zurich'); // taken in charge automatically and more adaptable, can check it with date_default_timezone_get()
	define('_c_stdFoldersRights', 0755);	// standard folders rights
	define('_c_stdFilesRights', 0644);		// standard files rights


	define('_c_carRet',"\r");
	define('_c_nL',"\n");
	define('_c_R', _c_carRet._c_nL);			// carriage return & new line constant
	define('_c_Nd', ' />');
	define('_c_NdR', _c_Nd._c_R);	
	define('_c_Br', '<br'._c_Nd); 	// A br xhtml constant to facilitate the passage to xhtml, and now br is even easier to type !! rplaces ''.br.'' ---> in string tedious to replace --> still hard coded <br/> for now
	
	define('_c_', _c_R._c_Br);	// the most often used line termination for Html display (the only place "_c_" is alone)		
	
	define('_c_flTchHomeSlsh', './');			// Both with ./ or without work, but nicer with	
	define('_c_mainIdxName', 'startAtaoxInstallationOnServer.php');
	define('_c_IndexPathFN', _c_flTchHomeSlsh._c_mainIdxName);
	
	define('_c_mainDirName', 'unzip');
	define('_c_CodePath', _c_flTchHomeSlsh._c_mainDirName.'/');	// To access the unzip code.

	define('_c_topObjDfN', _c_CodePath.'topObj.php');
		
	include _c_topObjDfN;

	$top= new topObj();
	$top->go();
?>
