<?php
/**
	File name : columnSwaper.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	[cenPlugin name="columnSwaper" /]				[_ r="PLUGIN DECLARATION"/]
	[testPlug display="Plugin trial of : " /]		[_ r="A CALL TO tg_testplug()"/]
	
	Direct calls explicit central or external :
			$tagsFu->instExplitCentralCls('classN');
			$tagsFu->instExplitExternalCls('classN');
			
			
	columnSwaper::tg_ataoxupdater()
*/
class columnSwaper extends oTop{
	
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->tagsFu= &$tagsFu;
		$this->glob= &$tagsFu->glob;
		$this->caps= &$tagsFu->caps;
		$this->tools= &$tagsFu->tools;
		$this->fls= &$tagsFu->fls;
		$this->dtb= &$tagsFu->dtb;
		$this->aSql= &$tagsFu->aSql;
		$this->hPwC= &$tagsFu->hPwC;
		
		$asa= &$tagsFu->asa;
		$this->asa= &$asa;
		$this->pRnd= &$asa->pRnd;
				
		/* Defined here because better look for tg_ataoxupdater() & not used anywhere else because 
		   the captcha table names  go directly tĥrough the tags. */
		define('_c_captPolyglotTN','captPoly');
		
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('columnSwaper','debugDisplay',false);	
		
		$tagsFu->attribVect['printcoucou']= false;

		$tagsFu->attribVect['columnswap']= false;
		
		$tagsFu->attribVect['purexpetalbox']= array('resinbox');
		
		$tagsFu->attribVect['ataoxupdater']= false;
		$tagsFu->attribVect['udatercpytoorigspot']= false;
		
		$this->okToWrite= false;
	} // construct

	/**
	*/
	function tags(){
		return array('columnswap','purexpetalbox','printcoucou','ataoxupdater','udatercpytoorigspot');
	} // tags


	/**
		Return an array matching the current table having the correct number of values set to ''
	*/
	function fantomRecord(&$v){
		$newV= array();
		reset($v);
		foreach ($v as $key=>$val){
			$newV[$key]= '';
		}
		return $newV;
	} // fantomRecord
	
	/**
	*/
	function mysteryTableColTrans($coTblNm,$oKey){
		print('mysteryTableColTrans case table::fieldName: '.$coTblNm.'::'.$oKey);
	} // mysteryTableColTrans
	
	
	
	/**
		[udaterCpyToOrigSpot /]
		Ataox updater, second step to copy files and directories into the original place / spot
		
		Called by the page _ataoxUpdtCpyOrigSpot
	*/
	function tg_udatercpytoorigspot(&$v,&$bd){
		return $this->coreAtaoxUpdater($v,$bd,'cpyToSpot');
	} // tg_udatercpytoorigspot
	
	
	/**
		[ataoxUpdater /]
		Update an old version to this newest running version
		
		Called by the page _ataoxUpdater
	*/
	function tg_ataoxupdater(&$v,&$bd){
		return $this->coreAtaoxUpdater($v,$bd,'mainUpdate');
	} // tg_ataoxupdater
	
	
	function coreAtaoxUpdater(&$v,&$bd,$updateStep){
		$tagsFu= &$this->tagsFu;
		$asa= &$this->asa;
		
		$glob= &$this->glob;
		$fls= &$this->fls;
		$caps= &$this->caps;
		$tools= &$this->tools;
		$dtb= &$this->dtb;
		$nDtb= &$this->dtb;		// new database class
		$nSql= &$this->aSql;	// new sub abstraction (sql or 100% php) nevermind the name
		
		$hPwC= &$this->hPwC;
		$pRnd= &$this->pRnd;
		
		$runAlgo= true;	// to block the algorithm flow without using return so we can add the final check boxS
		
		
		/**
			captPoly : captcha table used only in xpetal code, except here
		*/
		
		$s= ', ';	// separator
		$initialTblToRecov= _c_PolyCellPg.$s._c_PolyCellPgM.$s._c_SurfTransTN.$s._c_UsersTbl.$s.
			_c_GenVarTbl.$s._c_captPolyglotTN.$s._c_pwKeepTN.$s._c_fumUsrMessTN.$s._c_fsmplUsersTbl.$s.
			_c_fumHashTbl.$s._c_forumPostsTbl.$s._c_forumPgRe.$s._c_fumSchedTN.$s._c_fumThrdAttribTN.$s.
			_c_fumThrdGrpAcsTN.$s._c_fumThreadList.$s._c_fumXCode.$s._c_fumXCdLim.$s._c_gatName.$s.
			_c_pgRedirectTbl.$s._c_PolyglotTbl.$s._c_wnslTbl.$s._c_ascUtfTN;
			
		// make sure to add all sub genvar table genVar._def etc. --> need double connection
		// Can insist to use same DTB User password !!!!!!!!!!
		// Still need to ask DtbName
			
		$txtBxStr= $tools->postVal('tableToUpdateTxtBx',$initialTblToRecov);	
		$formSent= $tools->postVal(_c_anyFormSentId);
		
		
		
		$hdForm= _c_;
		$hdForm.= $caps->headForm('#','pureXpetal');
		

		$bDone= _c_;
		$b= '';
		
		$b.= $caps->span($dtb->getGenVar('ataoxVersionNb').' ','colSwapTtl');
		
		$bTtl= $caps->span($glob->el('Ataox version updater ...','kbft'),'colSwapTtl');
		$bTtl.= _c_;
		$b.= $bTtl;
		
		$b.= $caps->span($glob->el('Note : these actions have been programmed for  ...','kbfu'),'colSwapTxt');
		$b.= _c_;
		$b.= _c_;
		
		$b.= $caps->span($glob->el('Original Database :','kbfv'),'colSwapTtl');
		$b.= _c_;
		
		/**
			Block defining the old database
		*/
		$curSurfLg= $tagsFu->globHtmlMLang;
		$tagsFu->globHtmlMLang= $glob->edtLg();	// Force the surf language locally so it matches the editing language.
			$b.= $tagsFu->expand('[inclXpetalCode id="installerKindDtb" /]');
			$choseDtbCode= '[fromDblVectToBd][inclDtbSensitCode idMySql="InstallerDtbMySql" idsimul="InstallerDtbSimul" /][/fromDblVectToBd]';
			$b.= $tagsFu->expand($choseDtbCode);
		$tagsFu->globHtmlMLang= $curSurfLg;
		

		$bxCss= $caps->matCss('colSwapTxtBx');

		$b.= $caps->span($glob->el('Standard Tables to import the original information ...','kbfw'),'colSwapLbl');
		$b.= $caps->textarea('tableToUpdateTxtBx','3','95',$txtBxStr,$bxCss);
		$b.= _c_;
		$b.= _c_;
		
		$origDataDefPath= '../'._c_aMainDir.'/'._c_projDirN.'/'._c_usrStandardDirN;
		$origDataPath= $tools->postVal('origInfoDataPath', $origDataDefPath);
		
		if (file_exists($origDataPath)){
			$b.= $caps->span($glob->el('Detected data path holding the original information :','kbfx'),'colSwapLbl');
		}else{
			$b.= $caps->span($glob->el('Data path holding the original information ...','kbfy'),'colSwapLbl');
		}
		
		$b.= $caps->textBox('origInfoDataPath',$origDataPath,'60',$bxCss);
		$b.= _c_;
		$b.= _c_;
		
		$b.= $caps->span($glob->el('Check the box to test the algorithn without writing anything : ','kbfz'),'colSwapLbl');
		$b.= $caps->checkBox('noWriting');
		$b.= _c_;
		$b.= _c_;
		
		$attS= $caps->matCss('colSwapSendBut');
		$js= $caps->jsSimpleFu('genAsa.pwBoxCrypt',2,0,_c_ckUniqPrfx,'dtbPassword');
		$b.= $caps->onClickBut('sendBut',$glob->el('Send','kaat'),$js,$attS);
		$b.= $caps->endForm();
		$b.= _c_;
		$b.= _c_;
		
		
		/** -----------------------------
			Main algorithm
		*/
		
		$origIndex= $tools->postVal('origIndex','');
		if ($formSent!==false){
			/**
				If false then does as much as possible of the algorithm, but don't write anything (this is a public debug tool)
			*/
			$this->okToWrite= !($tools->postVal('noWriting')===_c_ok);
			$finalizer= $tools->postVal('finalizer');
			$copyAMAP= $tools->postVal('copyAMAP');
			
			
			
			/**
				Deal about the pure files
			*/
			$origDataPath= $tools->postVal('origInfoDataPath');
						
			$sz= strlen($origDataPath);
			$lastChar= $origDataPath[$sz-1];
			
			if ($lastChar!=='/'){
				$origDataPathDfn= $origDataPath;
				$origDataPath.= '/';
			}else{
				$origDataPathDfn= $tools->removeLastSlash($origDataPath);
			}
			
			if (!$fls->fileExist($origDataPathDfn)){
				$errMess= $caps->span($glob->el('The directory ','kbga').$origDataPathDfn.$glob->el(' does not exist!','kbgb'),'colSwapError');
				$errMess.= _c_;
				$errMess.= _c_;
				$b= $errMess.$b;
				$runAlgo= false;
			}
			
			
			if ($runAlgo){
			if ($finalizer===_c_ok){
				// SECOND LOCAL STEP	
				$oiIsWritable= $fls->isWritable($origIndex);	
				if ($copyAMAP===_c_ok || $oiIsWritable){
					// Ok to copy As Much As Possible
					
					if ($this->okToWrite){ // precaution principle so can display useful message without risks
						// Deal with the main index
						$fls->splitOnLastC($origIndex,$indexPath,$indexName);
						$fls->insistSecRenameNS($indexPath,$indexName, $indexPath,'old_'.$indexName);
						$fls->copyFile(_c_IndexDFN,$origIndex);
					
						// Deal with Data folder
						$fls->splitOnLastC($origDataPathDfn,$oProjectsPath,$dataDirNm);
						$fls->insistSecRenameNS($oProjectsPath,$dataDirNm, $oProjectsPath,'old_'.$dataDirNm);
						$fls->copyFileOrDir(_c_nsUsrDataPath,$origDataPathDfn);
					
						// Deal with Code folder
						$fls->splitOnLastC($oProjectsPath, $oMainDirPath,$projectNm);
						$oCodePathNS= $oMainDirPath.'/'._c_codeDirN;
						$oCodePath.= '/';
						$nCodeDfnNS= $tools->removeLastSlash(_c_CodePath);
						
						if ($oCodePathNS!==$nCodeDfnNS){
							$fls->insistSecRenameNS($oMainDirPath,_c_codeDirN, $oMainDirPath,'old_'._c_codeDirN);
							$fls->copyFileOrDir($nCodeDfnNS,$oCodePathNS);
						} // else : same code --> nothing to change
					}
					
				}else{			
					$bDone.= $caps->span($glob->el('Sorry the main original index is not writeable ... ','kbgc').$nCodeDfnNS.$glob->el(' inside ','kbgd').$oCodePathNS. $glob->el(' then you can send again the form ...','kbge'),'colSwapLbl');
				}
								
			}else{
				// FIRST LOCAL STEP
				
				// Copy relevant records of the original database
				$origDtbName= $tools->postVal('installerDtbName');
				if ($origDtbName===false){
					// False because the data is just identified by its path location
					$origBaseKind= 'static';
				}else{
					$origBaseKind= 'mySql';
				}
			
				switch ($origBaseKind){
					case 'mySql':
						$kCode= $tools->postVal('forceLargeInt');	// kCode for ok or ko code !!
						$tableToUpdateTxtBx= $tools->postVal('tableToUpdateTxtBx');
						
						$dtbPassword= $tools->postVal('dtbPassword');
						$sortOfInt= $pRnd->smalLargeIntToExplicit($kCode);	// To identify what sort of integers are used		
						$topHshId= $tools->spcCookVal('ckTopHashId');	// real hash 20 chars
						$crptK= $nDtb->getElem(_c_topHashTbl, _c_topHashIdH,$topHshId, _c_topHashC2Pw);	// inside the actually runing database
						$dtbPassword= $hPwC->doUnCrypt($dtbPassword,$crptK,$sortOfInt);
						
						// Not the installer in this case but the OLD database (funny name because recup shared with the installer)
						$usrName= $tools->postVal('installerExtDtbUsrNm');
						$serverAddr= $tools->postVal('installerDtbAccessUrl');
						
						
						if (_c_CurrentDtbAbstract!=='aMySql'){
							include_once _c_DtbLibPath.'aMySql.php';
						}
						
						$dtbCmpl= null;
						$aSqlOrig= new aMySql($asa,$dtbCmpl);
						
						
						$this->dtbOrig= new localDB($asa,$aSqlOrig);	// For writting : database standard class
						$dtbOrig= &$this->dtbOrig;
						$connectRes= $dtbOrig->dbConnect($serverAddr,$usrName,$dtbPassword,$origDtbName);
						
						if ($connectRes===false){
							$errMess= $caps->span($glob->el('Cannot connect to the MySql database!','kbgf'),'colSwapError');
							$errMess.= _c_;
							$errMess.= _c_;
							$b= $errMess.$b;
							$runAlgo= false;
						}
					break;
			
					case 'static':					
						// Complete the path and declare the new dtb/sql with it
						$phpDtbPath= $origDataPath.'zCms/zPhpData/phpDtb';	// The path assure the pseudo connection
						if (!$fls->fileExist($phpDtbPath)){
							$errMess= $caps->span($glob->el('The directory ','kbga').$phpDtbPath.$glob->el(' does not exists!','kbgg'),'colSwapError');
							$errMess.= _c_;
							$errMess.= _c_;
							$b= $errMess.$b;
							$runAlgo= false;
						}
						
						if ($runAlgo){
							$phpDtbPath.= '/';
							if (_c_CurrentDtbAbstract!=='simulSql'){
								include_once _c_DtbLibPath.'fullCnd.php';
								include_once _c_DtbLibPath.'simulSql.php';
							}
							
							$dtbCmpl= null;
							$aSqlOrig= new simulSql($asa,$dtbCmpl,$phpDtbPath);
							$dtbOrig= new localDB($asa,$aSqlOrig);
						}
						
					break;
					
					default:
						print('*** switch ($origBaseKind) DEFAULT'._c_);
					break;
				}
				
				
				if ($runAlgo){
					$tbls= $tools->postVal('tableToUpdateTxtBx');
					$givenTblV= $tools->trimStrToV($tbls);			
					
					$origTblNmV= $aSqlOrig->onlyTblNames($origDtbName);
					$prfxSelV= $this->prfxSelectedV($origTblNmV,_c_genVarPrfx);
					
					$totRecovTblV= array_merge ($givenTblV,$prfxSelV);
					$totRecovTblV= array_unique($totRecovTblV);	// elmininate duplicates
					
					
					// Scan all concerned tables to import RELEVANT data
					reset($totRecovTblV);
					foreach ($totRecovTblV as $key=>$origTblName){
					
						$oColNmVect= $aSqlOrig->tblColumnNames($origTblName,$origDtbName);
						$newTblName= $origTblName;	// does not change!!
						$nColNmVect= $nSql->tblColumnNames($newTblName,_c_UsrDbName);
						
						if ($nColNmVect!==false && $oColNmVect!==false){
							$curCompat= $this->origVectNewVectCompat($oColNmVect,$nColNmVect);
							$fantomRec= array();
							$fantomRec= $this->fantomRecord($nColNmVect);
							$query= $aSqlOrig->selectResource($origTblName);
							while( $curTOrigTblRow= $aSqlOrig->fetchArray($query) ){
								switch ($origTblName){
									case _c_PolyCellPg:
									case _c_PolyCellPgM:
										$pageName= current($curTOrigTblRow);	// first idx val in this case
										if ($pageName[0]!=='_' && $pageName!=='t0pAll'){
											$this->copyOrigRowInNewTbl($origTblName,$curTOrigTblRow, $curCompat,$fantomRec);
										}
									break;
									
									default:
										// copy the full row except if spec otherwise inside the function
										$this->copyOrigRowInNewTbl($origTblName,$curTOrigTblRow, $curCompat,$fantomRec);
								} // switch
							}
						}else{
							if ($nColNmVect===false){
								$glob->userError(_c_UsrDbName.'::'.$newTblName.$glob->el(' has no columns!','kmhm'));
							}
							
							if ($oColNmVect===false){
								$glob->userError($origDtbName.'::'.$origTblName.$glob->el(' has no columns!','kmhm'));
							}
						}
					}
					
					// Copy relevant files of the original sites (try all of user directory and do not ecrases)
					if ($this->okToWrite){
						$fls->unLnk(_c_bookMrkIconPath);	// so can write the new one
						$fls->copyDirectories($origDataPathDfn,_c_nsUsrDataPath,true);
					}
				}
			} // First local step ....... $finalizer!==_c_ok
			} // if ($runAlgo)
		} // if ($formSent!==false)
		
		if ( ($formSent===false || $this->okToWrite===false) && $updateStep!=='cpyToSpot' ){
			return $hdForm.$b;
		}else{
			/**
				Special comments for after we sent the form and sugar for 
				the only move things arround 2nd step check box "finalizer"
			*/
			
			if ($updateStep==='mainUpdate'){
				$bDone.= $caps->span($glob->el('The form has been sent with success,...','kbgh'),'colSwapFeedBack');
			}else{
				$bDone.= $caps->span($glob->el('If this version looks like you wish ...  you can click the box below','kbgi'),'colSwapFeedBack');
			}
			
			$bDone.= _c_;
			
			$bDone.= _c_;
			$bDone.= $caps->span($glob->el('Second local step, check this box and send again to finalize the update : ','kbgj'),'colSwapLbl');
			$bDone.= $caps->checkBox('finalizer');
			
			$bDone.= _c_;
			// Renommer et copier le plus possible
			$bDone.= $caps->span($glob->el('Rename and copy as much as possible even if the original index is not writable (warning it will shut down the original site until dealt by hand) : ','kbgk'),'colSwapLbl');
			$bDone.= $caps->checkBox('copyAMAP');
			
			
			$bDone.= _c_;
			
			$bDone.= $caps->span($glob->el('Original Index :','kbgl'),'colSwapLbl');
			$bDone.= $caps->textBox('origIndex',$origIndex,'50',$bxCss);
			
			
			$bDone.= _c_;
			$bDone.= _c_;
			
			return $hdForm.$bDone.$b;
		}
	} // tg_ataoxupdater
	
	
							
	/**
		Copy an original row into a new row of the matching table of the new database. :
		Remarks ;
			Specific rows that should not be copied are filtered before.
			Specific columns that had a name changed are translated here.
		Input :
			$coTblNm : Current Original table name
			$coTblRow : Current Original table row.
			$compat : true if it's compatible, otherwise the vector of incompatible table keys.
		Output :
			Create a new row inside the new database.
	*/
	function copyOrigRowInNewTbl($coTblNm,&$coTblRow, &$compat,$fantomRec){
		$tools= &$this->tools;
		$nDtb= &$this->dtb;	// new database (the main one running)
		$nSql= &$this->aSql;
		
		
		$isGenVarSubTbl= $tools->sIsPrefixB(_c_genVarPrfx,$coTblNm);
		
		reset($coTblRow);
		$oIdxKey= key($coTblRow);
		$oIdxVal= current($coTblRow);
		
		if ( !$nDtb->elementExists($oIdxKey,$oIdxVal,$coTblNm) ){
			// Makes sure the record exists
			$fantomRec[0]= $oIdxVal;
			if ($this->okToWrite){
				$nSql->newSqlRec($coTblNm,$fantomRec);	// also applies to non sql database !!
			}
		}

		reset($coTblRow);
		foreach ($coTblRow as $oKey=>$oVal){
			// Rem : if columns have been exchanged it does not matter because we access them by names and not by position !!!!
			if ($compat===true){
				$this->setElement($coTblNm,  $oKey,$oVal,  $oIdxKey,$oIdxVal);
			}else{
				switch ($coTblNm){
					case 'mysteryTable':
						// Up to now, no weird table to accomodate, but it will come !!!!!!!!!!!!!!!!!!
						$oKey= $this->mysteryTableColTrans($coTblNm,$oKey);
					break;
					
					default:
						/*
							$compat deserve its name when it's true, otherwise it's an array of the uncompatible keys!
							So just forget the uncompatible keys for now and deliver a message
						*/
						if (in_array ($oKey,$compat)){
							// Actually uncompatible case (the most likely situation is when we have an unexpected table)
							if (!$isGenVarSubTbl){
								// Does not recopied specific genVar sub tables and does not display this message
								print('Uncompatible case table::fieldName: '.$coTblNm.'::'.$oKey._c_);
							}
						}else{
							$this->setElement($coTblNm,  $oKey,$oVal,  $oIdxKey,$oIdxVal);
						}
					break;
				} // switch
			}
		}
	} // copyOrigRowInNewTbl
	

	/**
		Local method for easier debuging!
	*/
	function setElement($coTblNm,  $oKey,$oVal,  $oIdxKey,$oIdxVal){
		$nDtb= &$this->dtb;	// new database (the main one running)
		
		if ($this->okToWrite){
			$nDtb->setElem($coTblNm,  $oKey,$oVal,  $oIdxKey,$oIdxVal);
		}
	} // setElement

	
	
	/**
		Check if all the origin column names have an identical column name into the new model -->
		Check if the origin vector got an identical value into the new vector !! origVectNewVect Compatibility
		
		Return a boolean true compatible vectors or false. 
			Note 1 : $nVect can have more elements that $oVect,
			Note 2 : if they are not compatible we extract the non compatible elements ..
				Knowing the table names and the uncompatubles elements, 
				they can be treated at next step with a specific translation or dumping (switch if etc.) normally
				inside function copyOrigRowInNewTbl()
				
		Input : 
			$oVect : origin vector --> must finds its values into $nVect to be compatible.
			$nVect : new vector (most recent)
			
		Return : true if it's compatible, and otherwise the vector of incopatible values.
	*/
	function origVectNewVectCompat(&$oVect,&$nVect){
		$uncompatV= array();

		reset($oVect);
		$i= 0;
		foreach ($oVect as $key=>$val){
			if (!in_array($val,$nVect)){
				$uncompatV[$i]= $val;
				$i++;
			}
		}

		if ($i===0){
			return true;
		}else{
			return $uncompatV;
		}
	} // origVectNewVectCompat	
		
			
	/**
		From the given vector $v returns a vector holding onky the elements starting with $prfx
	*/
	function prfxSelectedV(&$v,$prfx){
		$tools= &$this->tools;

		$prfxV= array();
		reset($v);
		$i= 0;
		foreach ($v as $key=>$tblName){
			if ($tools->sIsPrefixB($prfx,$tblName)){
				$prfxV[$i]= $tblName;
				$i++;
			}
		}
		return $prfxV;
	} // prfxSelectedV
	
		
	/**
		[pureXpetalBox /]
	*/
	function tg_purexpetalbox(&$v,&$bd){
		$tagsFu= &$this->tagsFu;
		$glob= &$this->glob;
		$caps= &$this->caps;
		$tools= &$this->tools;
		$dtb= &$this->dtb;
		$aSql= &$this->aSql;
		
		$xPetalStr= $tools->postVal('xPetalTxtArea','');
		
		$resultInBox= '';
		$resultBody= '';
		if ($xPetalStr!==''){
			if ($v['resinbox']===_c_ok){
				$resultInBox= $tagsFu->expand($xPetalStr);
				$xPetalStr= $resultInBox;	// not really x petal anymore
			}else{
				$resultBody= $tagsFu->expand($xPetalStr);
			}
		} // if ($genAction!==false)
		
		
		$b= '';
		$b.= '';
		if ($v['resinbox']===_c_ok){
			$b.= $caps->span($glob->el('Translation ...','kmdc'),'colSwapTtl');
		}else{
			$b.= $caps->span($glob->el('Run the given Xpetal code :','kbfs'),'colSwapTtl');
		}
		$b.= _c_;
		$b.= _c_;
		$b.= $caps->headForm('#','pureXpetal');
		
		if ($v['resinbox']===_c_ok){
			$b.= $caps->textarea('xPetalTxtArea','20','120',$xPetalStr);
		}else{
			$b.= $caps->textarea('xPetalTxtArea','15','120',$xPetalStr);
		}
		
		$b.= _c_;
		$b.= _c_;
		$attS= $caps->matCss('colSwapSendBut');
		$b.= $caps->onClickBut('sendBut',$glob->el('Send','kaat'),'',$attS);

		$b.= $caps->endForm();
		$b.= _c_;
		
		
		return $b.$resultBody;
	} // tg_purexpetalbox
	
		
	/**
		[columnSwap /]
		
		Swap the content of the specifioed language table column.
	*/
	function tg_columnswap(&$v,&$bd){
		$glob= &$this->glob;
		$caps= &$this->caps;
		$tools= &$this->tools;
		$dtb= &$this->dtb;
		$aSql= &$this->aSql;
		
		$b= '';
		$b.= '';
		$b.= $caps->span($glob->el('Insert a new Language for the Editor ...','kbfj'),'colSwapTtl');
		$b.= _c_;
		$b.= $caps->span($glob->el('Please visualise the concerned table(s)...','kbfk'),'colSwapTxt');
		$b.= _c_;
		$b.= _c_;
		
		$b.= $caps->headForm('#','columnSwap');
		$b.= $caps->span($glob->el('Action : ','kbfl'),'colSwapLbl');
		
		// Selects the concerbned category of tables
		$genAction= $tools->postVal('colAction','Swap');
		
		$vSelectVal= array('swap','del');
		$vSelectDspl= array( $glob->el('Swap (do NOT check the box)','kbfm'),$glob->el('Erase the language swap tables (check the box for effective erasing)','kbfr') );
		$vSelect= array_combine ($vSelectVal,$vSelectDspl);
		
		$attS= $caps->matCss('colSwapCombo');
		$b.= $caps->comboBox('colAction',$genAction,$vSelect,$attS,true);
		
		$b.= $caps->checkBox('checkBoxNm');
		$b.= _c_;
		$b.= _c_;
		
		$b.= $caps->span($glob->el('Concerned category of table : ','kbfn'),'colSwapLbl');

		// Selects the concerbned category of tables
		$defValCategTbl= $tools->postVal('tableCateg',_c_CodeTransTbl);
		$vSelect= array(_c_CodeTransTbl,_c_CommentsTbl);
		$b.= $caps->comboBox('tableCateg',$defValCategTbl,$vSelect,$attS);
		$b.= _c_;
		$b.= _c_;


		$b.= $caps->span($glob->el('Choose a column name for each concerned table : ','kbfo'),'colSwapLbl');
		$b.= _c_;
		$b.= _c_;
		
		$b.= $caps->span($glob->el('Table ','kbfp')._c_CommentsTbl.' / '._c_CodeTransTbl.' : ','colSwapLbl');
		$defComColumn= $tools->postVal('commentColumns',_c_CommentsX);
		$commentsColNmV= $dtb->tblColumnNames(_c_CommentsTbl,_c_UsrDbName);
		
		if ($commentsColNmV===false){
			$glob->userError(_c_UsrDbName.'::'._c_CommentsTbl.$glob->el(' has no columns!','kmhm'));
			return $b;
		}
		
		$b.= $caps->comboBox('commentColumns',$defComColumn,$commentsColNmV,$attS);
		

		$b.= $caps->span('Table '._c_CommentsSwapTbl.' / '._c_CodeTransSwapTbl.' : ','colSwapLbl');
		$defCodeTransCol= $tools->postVal('codeTransColumns',_c_CommentsX);
		$b.= $caps->comboBox('codeTransColumns',$defCodeTransCol,$commentsColNmV,$attS);

		$b.= _c_;
		$b.= _c_;
		$attS= $caps->matCss('colSwapSendBut');
		$b.= $caps->onClickBut('sendBut','Send','',$attS);

		$b.= $caps->endForm();
		$b.= _c_;
		$b.= _c_;
		$b.= $caps->span($glob->el('Remark : the desired new language(s) must be loaded first into ...','kbfq'),'colSwapTxt');
		
		$genAction= $tools->postVal('colAction');
		if ($genAction!==false){
			// the form was sent
			switch ($defValCategTbl){
				case _c_CodeTransTbl:
					$tOne= _c_CodeTransTbl;
					$tTwo= _c_CodeTransSwapTbl;
					$idKey= _c_GenTransId;
					$colName= $defCodeTransCol;
				break;
				
				case _c_CommentsTbl:
					$tOne= _c_CommentsTbl;
					$tTwo= _c_CommentsSwapTbl;
					$idKey= _c_CommentsId;
					$colName= $defComColumn;
				break;
				
				
				default: 
					print('Error in tg_columnswap()');
					return;
			} // switch
		
			switch ($genAction){
				case 'swap':					
					$query= $aSql->selectResource ($tOne);
					while( $rowTblOne= $aSql->fetchArray($query) ){
						$id= $rowTblOne[$idKey];
						$elemT1= $tools->binLoads( $rowTblOne[$colName], '' );
						$elemT2= $tools->binLoads( $dtb->getElem($tTwo, $idKey,$id, $colName),'');
						$dtb->setElem($tOne,  $colName,$elemT2,  $idKey,$id);
						$dtb->setElem($tTwo,  $colName,$elemT1,  $idKey,$id, $rowTblOne);
					}
				break;

				case 'del':
					$ckBx= $tools->postVal('checkBoxNm');
					if ($ckBx===_c_ok){
						$aSql->truncTbl($tTwo);
					}
				break;
			} // switch
			
		} // if ($genAction!==false)
		
		return $b;
	} // tg_columnswap

		
} // columnSwaper
?>
