/**
	File name : formMainWdgt.js
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


*/

/**
*/
function formMainWdgt(){	
	
	// Public Methods "class functions" Interface.
	this.fromSelectToTextBox= fromSelectToTextBox;	
	this.fromSlctToQtSubstTxtBx= fromSlctToQtSubstTxtBx;	
	this.recoverPassword= recoverPassword;	
	this.storesPw= storesPw;	
	this.pwStoresAndCrypt= pwStoresAndCrypt;	
	
	
	/**
	*/
	function fromSelectToTextBox(selName,tbName){
		document.getElementById(tbName).value= kk.getSelVal(selName);
	} // fromSelectToTextBox
	
	/**
		As fromSelectToTextBox, but imposes quote sunstitution
		Input :
			selName : select widget name
			tbName : text box/area name
			substChar : the given char to substitute quotes with.
	*/
	function fromSlctToQtSubstTxtBx(selName,tbName, substChar){
		var rawStr= kk.getSelVal(selName);
		var newStr= '';
		var curC= '';
		var sz= rawStr.length;
		for (var i=0; i<sz; i++){
			curC= rawStr.charAt(i);
			if (curC===substChar){
				newStr+= '"';
			}else{
				newStr+= curC;
			}
		}
		document.getElementById(tbName).value= newStr;
	} // fromSlctToQtSubstTxtBx
	
	
	/*
		Recover a given password!
	*/
	function recoverPassword(pwBoxNm){
		if (localStorage.formMainWdgtUniquePw!==null){
			var pw= localStorage.formMainWdgtUniquePw;
		}else{
			var pw= '';
		}
		document.getElementById(pwBoxNm).value= pw;
	} // recoverPassword

	/**
		Stores the given pasword in localStorage if the call is done with the js xPetal code inside the Send button.
	*/
	function storesPw(pwBoxNm){
		var pw= document.getElementById(pwBoxNm).value;
		localStorage.formMainWdgtUniquePw= pw;
	} // storesPw
	
	
	/**
	*/
	function pwStoresAndCrypt(uPrfx, pwBoxNm){
		writeLn('pwStoresAndCrypt');
		storesPw(pwBoxNm);
		genAsa.pwBoxCrypt(uPrfx, pwBoxNm);
	} // pwStoresAndCrypt


	/**
		"Cloned" methods for usage easiness 
	*/
	function write(s){kk.write(s);}
	function writeLn(s){kk.writeLn(s);}
	function clearWrite(s){kk.clearWrite(s);}

	/**
	*/
	function chabl(){
	
	} // chabl

} // formMainWdgt
