<?php
/**
	File name : imGallCpml.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


	To manage SEO specialized galleries.
*/
class imGallCpml extends oTop{
	

	function __construct(&$tagsFu){
		parent::__construct();
		
		$this->dtb= &$tagsFu->dtb;
	} // construct


	/**
		Get the final no slash full.path dir (final because the 'fumUsrPerso' case need to add a prefix).
	*/
	function getFinalNoSlashFlPD($fullPathDirOrig,$dirCateg){
		$dtb= &$this->dtb;
	
		switch ($dirCateg){
			case 'statEmot':
				$noSlashFllPD= _c_UsrEmoDir.'static';
			break;
			
			case 'dynEmot':
				$noSlashFllPD= _c_UsrEmoDir.'anim';
			break;
		
			// Get the images somewhere in the code directory
			case 'usrRoot':
			case 'prj':
				$noSlashFllPD= $fullPathDirOrig;
			break;
			
			// Get the images somewhere in the forum-user personal directory
			case 'fumUsrPerso':
				$noSlashFllPD= _c_UsrImagePath.$fullPathDirOrig;
			break;
			
			case 'fumFreelySet':
				$noSlashFllPD= $dtb->getGenVar('fumFreeSetGallPath');
			break;
			
			default:
				$noSlashFllPD= false;
				print('Error in imGallery::tg_ gallerytox2 $dirCateg='.$dirCateg._c_);
		} // switch
	
		return $noSlashFllPD;
	} // getFinalNoSlashFlPD
	

} // imGallCpml
?>
