<?php
/**
	File name : installer.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	Uses the form _c_PolyCellPg::_installer asking for personal installation parameters (server dtb name etc. 
	the parameter to substitute inside the XCode) ----> also the user chooses (combo box) among the siteModels 
	tables the one he/she prefers!

	[cenPlugin name="installer" /]				[_ r="PLUGIN DECLARATION"/]
	[testPlug display="Plugin trial of : " /]		[_ r="A CALL TO tg_testplug()"/]
	
	Direct calls explicit central or external :
			$tagsFu->instExplitCentralCls('classN');
			$tagsFu->instExplitExternalCls('classN');

	Deprecated :
		'ersatzIW' : replaced inside the chablon CSS with a lucky width % --> gives a bit of flexibility! Was applied onto 
		'.mainPlugDiv' of the CSS vDropDown.css, rvDropDown.css
*/
class installer extends oTop{
	
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->tagsFu= &$tagsFu;
		$tagsFu= &$this->tagsFu;
		
		$this->glob= &$tagsFu->glob;
		$this->hPwC= &$tagsFu->hPwC;
		$hPwC= &$this->hPwC;
		$this->rMg= &$tagsFu->rMg;
		
		$this->acc= &$tagsFu->acc;
		$this->caps= &$tagsFu->caps;
		
		$this->tools= &$tagsFu->tools;
		$tools= &$this->tools;
		
		$this->fls= &$tagsFu->fls;
		$fls= &$this->fls;
		
		$this->aSql= &$tagsFu->aSql;
		$this->dtb= &$tagsFu->dtb;
		$dtb= &$this->dtb;
		
		$this->imgP= &$tagsFu->imgP;
		$this->frBuild= $tagsFu->instExplitExternalCls('frameBuilder');
		
		$asa= &$tagsFu->asa;
		$this->asa= &$asa;
		$this->pRnd= &$asa->pRnd;
		
		$this->pgNmKeyVector= array();
		$this->lgPgVect= array();	// to store the simple alphabet page names associated with a ful utf8 hierachy!
				
		define('_c_siteModelsTbl','siteModels');
			define('_c_siteModelsId',_c_genId);							
			define('_c_siteModelsText','text');
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('installer','debugDisplay',false);	
		
		
		$tagsFu->attribVect['groupcsswdgt']= array('namepfx','cl','fu','categ', 'defont','defweight','defsz','defcolor','whitebg');
		
		$tagsFu->attribVect['vdcolorwdgt']= array('name','cl','fu','categ','defcolor','level');
		
		$tagsFu->attribVect['imgallery']= false;
		
		
		$tagsFu->attribVect['thematiclink']= array('alt','img', 'genin', 'genout', 'genhovering', 'vertbg', 'txtsz', 'txtcolor', 'hoverall', 'bga', 'bgb', 'bgc', 'bgd');
		
		
		include _c_LibPath.'canonVectors.php';
		
		define('_c_instalLgSubst', 'lgSub'.$hPwC->consonStr(8));		// a unique language identificator to substitite the initialisation language tag each time we loop for a new language
		define('_c_instalLblSubst', 'lblSub'.$hPwC->consonStr(8));		// a language label to differentuate clearly all apges without having to do an automatic translation.
		
		
		$this->fBar= $tagsFu->instExplitCentralCls('forumBar');
		$this->mWdgt= $tagsFu->instExplitCentralCls('formMainWdgt');
		
		$destPath= $fls->builderDestPath();
		
		define('_c_frmBuildDestPath', $destPath);
		define('_c_targetExplicitCntral', $destPath._c_localZCmsExplic.'central/');
		
		
		define('_c_targetExplCntrlMenuBase', _c_targetExplicitCntral.'menus/');
		define('_c_targetExplCentralStdMenu', _c_targetExplicitCntral.'menus/stdMenus/');
		define('_c_targetExplCentralUlMenu', _c_targetExplicitCntral.'menus/ulMenus/');
		
		$this->tagsAdaptCss= '';
		
		define('_c_targetExplCentralPolyCss', _c_targetExplicitCntral.'polyglot/polyglot.css');
		
		$this->installerPath= _c_toDeclPlugCntr.'installer/';
				
		$maxDdVStr= $dtb->getGenVar('maxChrWDdvMenV');
		$maxDdV= $tools->trimStrToV($maxDdVStr);	// loads the original vector of sizes
		
		define('_c_menuMaxNbOfChars',$maxDdV[0]);	// quite bit lower than what's fitting in
		
		$tagsFu->attribVect['addlgcontent']= array('id');
		$tagsFu->attribVect['addcontent']= array('id');
		$tagsFu->attribVect['specmtreedown']= array('down');
		$tagsFu->attribVect['xrem']= array('c');
		$tagsFu->attribVect['includemidbody']= false;
		
		$this->globLanguageVect= false;
		$this->mainHeaderStyle= false;
	} // construct


	function tags(){
		return array('includemidbody','groupcsswdgt','vdcolorwdgt','imgallery','thematiclink','addlgcontent','addcontent','specmtreedown','xrem');
	} // tags
	
		
	/**
		Include and expand/execute siteModels::polyMiddleBody
		[includeMidBody /]
	*/
	function tg_includemidbody(&$v,&$bd){
		$tagsFu= &$this->tagsFu;
		$dtb= &$this->dtb;
		
		$middleBody= $dtb->getElem(_c_siteModelsTbl, _c_siteModelsId,'polyMiddleBody', _c_siteModelsText);
		$tagsFu->expandX($middleBody);
	} // tg_tmptag
	
		
		
	/**
		Language vector, should be called only when the form is sent
	*/
	function languageVect(){
		$this->loadsLanguageVect();
		return $this->globLanguageVect;
	} // languageVect
	
	function nbPostedLg(){
		$this->loadsLanguageVect();
		return $this->countLanguageVect;
	} // nbPostedLg
	
	/**
		Also see frameBuilder::tg_setlanguage() bit redonndant
	*/
	function loadsLanguageVect($force= false){
		$tools= &$this->tools;
		$frBuild= &$this->frBuild;

		if ($this->globLanguageVect===false || $force){
			$postLgStr= $tools->postVal('installerSurfLanguageTB',$frBuild->generalSurfLgList);
			$this->globLanguageVect= $tools->trimStrToV($postLgStr);
			$this->countLanguageVect= count($this->globLanguageVect);
		}
	} // loadsLanguageVect
	
	
	/**
		Manage forbidden page names by salting the page name key vector, so supplementary page names 
		are forbidden
	*/
	function saltPgNameKeyVect(){
		$saltV= array('editor-menu','t0pAll','header','adv3rtColumn');
		$lgV= $this->languageVect();
		
		reset($saltV);
		foreach ($saltV as $k=>$val){
			$this->pgNmKeyVector[$val]= 'noLg';	// no specific language attributed also because they don't visually compete
		}
		
		reset($lgV);
		foreach ($lgV as $k1=>$lg){
			reset($saltV);
			foreach ($saltV as $k2=>$salt){
				$this->pgNmKeyVector[$salt.'-'.$lg]= 'noLg';
			}
		}
	} // saltPgNameKeyVect

		
	/**
		Install a new site in a production environment (Externally as Internally, it means only 
		about a single main index.php)
	*/
	function installSite(&$mainWdgt,&$mess){
		$tagFu= &$this->tagsFu;
		$glob= &$this->glob;
		$tools= &$this->tools;
		$fls= &$this->fls;
		$dtb= &$this->dtb;
		$fBar= &$this->fBar;
		$mWdgt= &$this->mWdgt;
		
		$mess= '';
		$this->perfectSiteInstall= true;	// a flag to be eventually set to false inside the frameBuilder class
				
		$str= $tools->postVal(_c_smallEditorTAN,'');
		if (trim($str)!==''){
			// Check uniqueness in all cases, so also works inside languages for beginner
			$this->saltPgNameKeyVect();
		
			$buff= '';
			$buff.= $this->xCodeHeader();
			
			// Css adaptation through a general buffer and activation by the concerned functions
			$buff.= _c_R._c_R.$this->tagsAdaptCss;	// MENUS adaptation add tags that have been built directly from within the concerned widgets !!!
			
			$middleBody= $dtb->getElem(_c_siteModelsTbl, _c_siteModelsId,'polyMiddleBody', _c_siteModelsText);
			
			$vertDecoImgN= $tools->postVal('verticalDeco');
			$middleBody= str_replace('imag3OfTheH3ader', $vertDecoImgN, $middleBody);	// chronophage
			$buff.= $middleBody._c_R;
						
			// [chgTtlImage /]
			$timV['name']= $vertDecoImgN;
			$ttImgTag= $tagFu->rebuildTagStr('chgTtlImage',$timV);
			$buff.= $ttImgTag._c_R;
			
			$buff.= '[formatSmartPhoneMenu /]'._c_R;	// easier than to use tagFu->rebuildTagStr()
			$buff.= $dtb->getElem(_c_siteModelsTbl, _c_siteModelsId,'polyMiddleBdTail', _c_siteModelsText);
			
			$expertMode= $tools->postVal('expertMode');
			if ($expertMode==='expert'){
				$buff.= '[noPgLgSuffix /]'._c_R;
			
				$postLgVect= $this->languageVect();
				$lgSepChar= $tools->postVal('lgSepChar');
				$strVect= $tools->mbExplode($str,$lgSepChar);
				
				if (count($postLgVect)!==count($strVect)){	// nbLg !== nbStr
					$mess= $glob->sl('We are in expert mode and the number of given languages','kayk')._c_._c_;
					return false;
				}

				reset($postLgVect);
				reset($strVect);
				foreach ($strVect as $key=>$lgStr){
					$lg= current($postLgVect);
				
					$mTgStack= $this->indentedStrTomTag($lgStr,$sortOfError,true,$lg);
					if ($mTgStack===false){
						$mess= $this->indentedStrError($sortOfError);
						return false;
					}else{
						$curBff= _c_R._c_R.$mTgStack;
					}
					
					$buff.= $this->languageShell($curBff,$lg);
					next($postLgVect);
				}
			}else{
				// beginner / easy non expert
				$mTgStack= $this->indentedStrTomTag($str,$sortOfError);
				if ($mTgStack===false){
					$mess= $this->indentedStrError($sortOfError);
					return false;
				}
				$buff.= $this->fillLangProduct($mTgStack);
			}
			
			$buff.= $this->xTail();
			$fls->strToFile(_c_UsrDataPath.'test/xcode.txt',$buff);	 // to examine manually the full x code.
			
			$tagFu->expand($buff);	// PARSE THE $BUFF / EXPAND
		}else{
			// should refuse an empty menu string!
			$mess= $glob->sl('The given menu hierachy was completly empty','kayl')._c_._c_;
			return false;
		}
		
		/**
			Deal with the image menu tracker. !! Actually nothing "main" about it, just a little bit of xPetal code
		*/
		$imgTrackerXCode= $tools->postVal('mainStr');
		$tagFu->expand($imgTrackerXCode);	// loads $fBar->lastIconeDfn ... glob variable !!!
		
		if (!$fBar->isAnEmotIcon && $fBar->lastIconeDfn!==false){
			$this->setMenuTrackerImg($fBar->lastIconeDfn,!$fBar->isAnEmotIcon);
		}
		
		return $this->perfectSiteInstall;
	} // installSite
	
	/**
	*/
	function indentedStrError($sortOfError){
		$glob= &$this->glob;
		switch ($sortOfError){
			case 'invis':
				$mess= $glob->sl('The form could not be processed...invisible character','kayb');
			break;
			
			case 'forgotExpertDPNL':
				$mess= $glob->sl('The EXPERT MODE was forgotten while calling [diffPgNameMdlLg ... /]','kbam');
			break;
			
			case 'pgNmTooLong':
				$mess= $glob->sl('The page name ','kmhd').$this->offendingTooLrgPgNm. 
					$glob->sl(' is too long, we need less than ','kmhe').
					(_c_largestIdSz-3) . $glob->sl(' characters! Actually got : ','kmhf'). 
					$this->offendingTooLrgPgSz.
					$glob->sl(' characters! Please ... name shorter or ... following tag (*1)  :  ','kmhg').
					'[diffPgName n=" '.$glob->sl('Label to create and replace','kmhh').' " /] '.
					_c_._c_.$glob->sl('(*1) only in expert mode,','kmhi');
			break;
			
			default:
				$mess= 'Error in indentedStrError';
		} // switch
	
		return $mess._c_._c_;
	} // indentedStrError


	

	/**
	*/
	function imperfect(){
		$this->perfectSiteInstall= false;
	} // imperfect
	

	/**
		Changes general spcific menu dependant CSS parameters
	*/
	function chgSpecMenCssParam(){
		$tools= &$this->tools;
		
		$buff= '';
		$sMen= $tools->postVal('installerSortOfMenus');
		switch ($sMen){
			case 'vStatic':			
			case 'rvStatic':
			case 'vDropDown':
			case 'fullHzDropDown':
			case 'rvDropDown':
			case 'bottomHzSetUp':
			break;
				$buff.= $this->setFlSubstitute('','rstzArianeLeftMargin',_c_trgtExplCMBsGenMenCss,false);
			break;
			
			case 'bottomSetUp':
			case 'hDropDown':
				$buff.= $this->setFlSubstitute('margin-left:40px;','rstzArianeLeftMargin',_c_trgtExplCMBsGenMenCss,false);
			break;
			
			default:
				$buff.= $this->setFlSubstitute('','rstzArianeLeftMargin',_c_trgtExplCMBsGenMenCss,false);
		} // switch	
		
		return $buff;
	} // chgSpecMenCssParam
					
	
	/**
		return the header left marggin depending on the sort of menu.
	*/
	function headerLeftMargin(){
		$tools= &$this->tools;

		$sMen= $tools->postVal('installerSortOfMenus');
		switch ($sMen){
			case 'vStatic':			
			case 'rvStatic':
			case 'vDropDown':
			case 'fullHzDropDown':
			case 'rvDropDown':
			case 'bottomHzSetUp':
				return 0;
			break;
			
			case 'bottomSetUp':
			case 'hDropDown':
				return 40;
			break;
			
			
			default:;
		} // switch	
	} // headerLeftMargin
	
		
	/**
		Resize if necessary and set the given image as a menu tracker image.
		internalArianeButton	ariadne.èng
		
		Input :
			$imSrPFN : full directpry file name of the image to transform into an ariadne button.
			$resize : true if we got to resize the image.
			
	*/
	function setMenuTrackerImg($imSrPFN,$resize){
		$fls= &$this->fls;
		$dtb= &$this->dtb;
		$imgP= &$this->imgP;

		$iaButNm= $dtb->getGenVar('internalArianeButton');
		$imDstPFN= _c_decPlugSupCssC.'menus/ulMenus/'.$iaButNm;
		$fls->secUnlink($imDstPFN);
		
		if ($resize){
			$imgP->resizeProc($imSrPFN,$imDstPFN,16,16);	// resizes $dFn into standard image tracker size
		}else{
			$fls->copyFile($imSrPFN,$imDstPFN);		// save the image in standard image tracker place
		}
	} // setMenuTrackerImg
	

	/**
		Got to replace the sensitive datas with values from the form!
	*/
	function xCodeHeader(){
		$rMg= &$this->rMg;
		$tools= &$this->tools;
		$fls= &$this->fls;
		$dtb= &$this->dtb;
		$hPwC= &$this->hPwC;
		$pRnd= &$this->pRnd;
		
		$b= '';
		$b.= '[up ref="t0pAll" /]'._c_R;
		$b.= '[title] Installer [/title]'._c_R;	
		$b.= '[descr] Installer [/descr]'._c_R;	
		$b.= '[extPlugin name="frameBuilder" /]'._c_R;
		
		
		$surfLg= $tools->postVal('installerSurfLanguageTB');
		$b.= '[setLanguage set="'.$surfLg.'" /]'._c_R;
		
		
		$domN= $fls->domainName();
	
	
		/** ------------------------------------------------------------------------------------
			[newDtb ... /]
		*/
		$b.= '[newDtb '._c_R;
		$b.= 'urlStample="'.$domN.'"'._c_R;

		$fls->loadsVersionDtDir($version,$dataDir);
		
		$b.= 'version="'.$version.'"'._c_R;
		$b.= 'dataDir="'.$dataDir.'"'._c_R;

		
		$dtbName= $fls->postOrDtb('installerDtbName');
		$b.= 'dtbName="'.$dtbName.'"'._c_R;
		
		
		/**	Remark : parameters for the external database need to be assigned here instead of framneBuilder.php because :
			(1) Need to be specified fully in X mode when using independant X files.
			(2) The database to create is by definition not fully installed when we need some of these elements. ...
		*/	
		
		$kCode= $tools->postVal('forceLargeInt');	// kCode for ok or ko code !!
		$b.= 'largeInt="'.$kCode.'"'._c_R;

		
		/**
			For standard installation purpose, home-local 
			and external name can be unified!
		*/
		// $b.= 'mainurl= "http://'.$domN.'"'._c_R;
		$b.= 'mainurl= "'.$domN.'"'._c_R;
		
		
		
		$kindUrlSubAcc= $tools->postVal('kindUrlSubAcc');	// kind of url sub access
		$b.= 'kindUrlSubAcc="'.$kindUrlSubAcc.'"'._c_R;
		
		
		$urlSubAccess= $tools->postVal('urlSubAccess');
		$b.= 'subdom="'.$urlSubAccess.'"'._c_R;

		$dtbProdServNm= $tools->postVal('installerDtbAccessUrl');	// dtbToChgProdServNm
		$b.= 'dtbProdServNm= "'.$dtbProdServNm.'"'._c_R;
		
		$extDtbUsrNm= $tools->postVal('installerExtDtbUsrNm','');	// External/also internal Dtb user name
		$b.= 'dtbExternUsrName="'.$extDtbUsrNm.'"'._c_R;
		
		$softCrypKey= $hPwC->consonStr(8);
		$b.= 'softCrypKey="'.$softCrypKey.'"'._c_R;
		
		// The  crypted dtb travelling password! !! In free standing X code,it's not going to be crypted, therefore --->
		// ---> don't want to uncrypt on the other side! -->Y needs special free standing flag, may be already there!
		$dtbPassword= $tools->postVal('dtbPassword');
		
		// Block : incryptDtbPassWordGotATwin
		$sortOfInt= $pRnd->smalLargeIntToExplicit($kCode);	// To identify what sort of integers are used		
		if (!$rMg->forceEditRights){
			$topHshId= $tools->spcCookVal('ckTopHashId');	// real hash 20 chars
			$crptK= $dtb->getElem(_c_topHashTbl, _c_topHashIdH,$topHshId, _c_topHashC2Pw);	// inside the actually runing database
			$dtbPassword= $hPwC->doUnCrypt($dtbPassword,$crptK,$sortOfInt);
		} // else : forced full debug, don't uses general hashes !!
		
		$b.= 'dtbExternPw="'.$dtbPassword.'"'._c_R;
		$b.= '/]'._c_R._c_R;
		// ** -----------------------------------------------------------------------------------
		
		return $b;
	} // xCodeHeader


	/**
		Includes the informative [m] tags hierachy into the [langProduct ..] tag
	*/
	function fillLangProduct(&$coreM){
		$b= '';
		$b.= '[langProduct lgSubst=#'._c_instalLgSubst.'# lgLblSubst=#'._c_instalLblSubst.'#]'._c_R;
		$b.= '[code keep=#ok#]'._c_R;
		$b.= '[bSetLang lg=#'._c_instalLgSubst.'# /]'._c_R;
		$b.= '[m lbl=#editor-menu#]'._c_R;
		$b.= $coreM._c_R;
		$b.= '[/m]'._c_R;
		$b.= '[/code]'._c_R;
		$b.= '[/langProduct]'._c_R;
		return $b;
	} // fillLangProduct
	
	
	/**
	*/
	function languageShell(&$coreM,$lg){
		$b= '';
		$b.= '[bSetLang lg=#'.$lg.'# /]'._c_R;
		$b.= '[m lbl=#editor-menu'.'-'.$lg.'#]'._c_R;
		$b.= $coreM._c_R;
		$b.= '[/m]'._c_R;
		return $b;
	} // languageShell


	/**
		Includes the informative [m] tags hierachy into the [langProduct ..] tag
	*/
	function xTail(){
		$b= '';
		// closure of the full set of X instructions.
		$b.= '[ChgDblQuotes sign=#"# /]'._c_R;
		$b.= '[initHomePage /]'._c_R;
		$b.= '[fillsPoly /]'._c_R;
		$b.= '[dspBuilderR vectFeed="ok" /]'._c_R;
		$b.= '[cleanUp /]'._c_R;	// Ideally nothing to clean up, but keep it even if it does nothing because clarify the code
		$b.= '[changeDb /]'._c_R;
		return $b;
	} // xTail
	
		
	/**
		Transform the canonical indented string vector into the matching multi imbricated [m] ... [/m] tags
		Input :
			$gStr : in case of a full blown multi-language block input, this is the specific language block! And in case
					of mono-glot block, this is the block itself.
			$sortOfError : -
			$expert : (minimum suffix addition) we are in a case of EXPERT ONLY mode where page title are written as much as possible in the original labguage, therefore we have to check their uniqueness!
			lg : the current language when $expert is true
			$expert  -> automatically multi-language --> shoukld say it
	*/
	function indentedStrTomTag($gStr,&$sortOfError,$expert=false,$lg=false){
		$caps= &$this->caps;
		$fls= &$this->fls;
		$tagsFu= &$this->tagsFu;
		$frBuild= &$this->frBuild;
		
		if ($lg!==false){
			$this->lgPgVect[$lg]= array();
		}
		
		$canV= $this->signifLinesObj($gStr,$inviScam);	// into CANONICAL significant lines
		if ($inviScam===true){
			$sortOfError= 'invis';
			return false;
		}
		
		$sentHd= _c_R._c_R._c_R.'<span'.$caps->matCss('gecMainTtl').'>'._c_R;
		$sentTl= _c_R.'</span>';
		
		$gotOneHeader= false;	// true if got at least one header added to the buffer, so we can add a tail! To remove the parasitic [/m] apearing otherwise at the head (probably possible to find a nicer way... simple code switching head tail lines did not work)
		$mTagsStack= '';
		reset($canV->mainV);
		reset($canV->assV);
		$prevTabs= current($canV->assV);	// left tabs number	
		$line= 0;
		
		/**
			A loop to build the [m...] tags imbrication for the given language.
		*/
		foreach ($canV->mainV as $key=>$lbl){
			$curTabs= current($canV->assV);		// Current tabs number, starting at 0
			$shift= $curTabs-$prevTabs;			// Relative shift
		
			// Init the global variable possibly changed by the expand (if not changed they need an indicative value)
			$this->globLgContId= false;
			$this->globContId= false;
			$this->globSpecMtrDown= false;
			$tagsFu->curDiffPgName= false;
			
			$lbl= trim($tagsFu->expand($lbl));	// run an eventual global setting tag (addLgContent, addContent, )  and get rid of the visible label 
			
			$attV= array();
			$suffxLg= false;
			if ($tagsFu->diffPgNameMdlLg!==false && $tagsFu->diffPgNameMdlLg!=='noAction' ){
				if (array_key_exists($tagsFu->diffPgNameMdlLg,$this->lgPgVect)){
					$suffxLg= true;
					$attV['utf']= _c_ok;
					$tagsFu->curDiffPgName= $this->lgPgVect[$tagsFu->diffPgNameMdlLg][$line];	// load it with the concerned langiage match
				}else{
					$sortOfError= 'forgotExpertDPNL';	// forgot expert mode with the diffPgNameMdlLg (DPNL) tag or specific tags
					return false;
				}
			}
			
			$attV['lbl']= $lbl;
			if ($tagsFu->curDiffPgName===false){
				$exactPg= $frBuild->fromLblToPgName($lbl,'idCoreChar');		// uses the currentlabel
			}else{
				// [diffPgName ... /] was specified
				$exactPg= $frBuild->fromLblToPgName($tagsFu->curDiffPgName,'idCoreChar');	// uses the given page name
				if ($suffxLg){
					$exactPg.= '-'.$lg;		// faster to add the suffix because we know it already exists
				}
			}
			
			if ($expert){
				$origExPg= $exactPg;
				$i=1;
				while (array_key_exists($exactPg,$this->pgNmKeyVector) && $i<100){
					$obstructorLg= $this->pgNmKeyVector[$exactPg];
					if ($i===1 && $obstructorLg===$lg){
						$i++;	// to have a numeric equality with the other language(s)
					}
				
					if ($i===1 && $obstructorLg!==$lg){	// and other languag so the numerotation stay consistent between languages
						$exactPg.= '-'.$lg;
					}else{
						$exactPg= $origExPg.'-'.$i.$lg;
					}
					$i++;
				}
				
				$attV['pg']= $exactPg;	// specific page name.
				$this->pgNmKeyVector[$exactPg]= $lg;
			}else{
				
				if ($lg!==false){
					$exactPg.= '-'.$lg;		// ORIGINAL ASSIGNATION for dealing with duplicates (no other way if the user wish to fill a single hierachy)
				}
			}
			
			
			$xPgSz= strlen($exactPg);
			if ( $xPgSz+3>_c_largestIdSz ){
				$this->offendingTooLrgPgNm= $exactPg;
				$this->offendingTooLrgPgSz= $xPgSz;
				$sortOfError= 'pgNmTooLong';
				return false;
			}
			
			$attV['pg']= $exactPg;
			
			
			if ($lg!==false){
				$this->lgPgVect[$lg][$line]= $exactPg;
			}
			
			
			
			if ($fls->lastChar($lbl)===':'){
				$attV['c']= $sentHd.$lbl.$sentTl;
			}else{
				$attV['c']= $sentHd.$lbl.' : '.$sentTl;
			}
			
			
			if ($this->globLgContId===false && !$expert){
				$attV['c'].= _c_instalLblSubst;	// add language abrev display
			}
				
			$attV['lgcontid']= $this->globLgContId;
			$attV['contid']= $this->globContId;
			$attV['down']= $this->globSpecMtrDown;
			
			
			
			// tg_m()
			$mHeader= $tagsFu->rebuildTagStr('m',$attV,'',false,'#',true)._c_R;	// [m .......... ] ,,,[/m]
			
			if ($shift<=0 && $gotOneHeader){
				$abShiftPo= $prevTabs-$curTabs+1;	// absolute value of $shift plus one
				$mTagsStack.= $this->addTails($abShiftPo,$prevTabs);
			}
			
			$mTagsStack.= _c_R.$this->multiTabs($curTabs).$mHeader;
			$gotOneHeader= true;
			
			$prevTabs= $curTabs;
			
			next($canV->assV);
			$line++;
		}
		
		$mTagsStack.= $this->addTails($curTabs+1,$curTabs);	// last closure
		return $mTagsStack;	
	} // indentedStrTomTag
	

	/**
		Returns some tags tails string
		Input :
			$nbT : number of tails to add
			$tabPos : actual tabulation position for ascii art effect !!!
			$tagName : the tag name
	*/
	function addTails($nbT,$tabPos,$tagName='m'){
		$curTail= '[/'.$tagName.']';
		$buff= '';	
		for ($i=0; $i<$nbT; $i++){
			$buff.= $this->multiTabs($tabPos-$i).$curTail._c_R;
		} // for
		return $buff;
	} // addTails
	
		
	/**
		Transform the given indented string into an array/vector of significant lines
	*/
	function signifLinesObj(&$gStr,&$invisPrfx){
		$tools= &$this->tools;
		
		$canV= new canonVectors();
		$linesV= $tools->mbExplode($gStr,_c_nL);

		// Elimination of empty lines
		reset($linesV);
		$i= 0;
		foreach ($linesV as $key=>$line){
			$trLine= trim($line);
			if ($trLine!==''){
				$canV->assV[$i]= $this->countPrefixingTabs($line,$invisPrfx);
				if ($invisPrfx){
					// got a forbiden invisible prefix
					return $canV;	// partial cannonical vector
				}
				$canV->mainV[$i]= trim($line);
				$i++;
			}
		}
	
		$canV->assV= $this->smoothTabVect($canV->assV);
		return $canV;
	} // signifLinesObj
	
		
	/**
		Makes sure prefixed tabs increase of only one tab from one line to the next and never get below 
		the base tab level --> got to snooth the tabulation vector!
	*/
	function smoothTabVect($v){
		$gotFisrt= false;
		$newV= array();
		
		$i= 0;
		reset($v);
		foreach ($v as $key=>$val){
			if ($gotFisrt){
				if ($val<$baseVal){
					// not admissible -->reassigns
					$val= $baseVal;
				}else{
					if ($val-$prevVal>1){
						// not possible, tying to include very deep without capsulating menus!
						$val= $prevVal+1;	// just one increment is admissible!
					}
				}
			}else{
				$gotFisrt= true;
				$baseVal= $val;
			}
			
			// Suppress a possible left margin with un-indenting effect if the 1st line is not the real most left baseval
			$newV[$i]= $this->subToZero($val,$baseVal);	
			$prevVal= $val;
			$i++;
		}	// foreach
		
		return $newV;
	} // smoothTabVect
	
	
	/**
		Substract down to zero, but any negative result is transformed into a zero.
		--> zeroing(a-b)
	*/
	function subToZero($a,$b){
		if ($b>=$a){
			return 0;
		}else{
			return $a-$b;
		}
	} // subToZero
	

	/**
		Counts the specific tabs of a string.
	*/
	function countPrefixingTabs(&$str,&$inviScam){
		$tools= &$this->tools;
	
		$inviScam= false;
		$sz= strlen($str);
		$nbTabs= 0;
		$i= 0;
		while( $i<$sz && $tools->invisChar($str[$i]) ){
			$c= $str[$i];
			if ($c===_c_rT){
				$nbTabs++;
			}else{
				// got another invisible char --> messy dont accept it!
				$inviScam= true;
			}
			$i++;
		}
		return $nbTabs;
	} // countPrefixingTabs

		
	/**
	*/
	function multiTabs($n){
		$b= '';
		for ($i=0; $i<$n; $i++){
			$b.= _c_rT;
		} // for
		return $b;
	} // multiTabs
	
	
	
	function fuMainHeader($stl){
		$this->mainHeaderStyle= $stl;
	} // fuMainHeader

	/**
		Grouped Css widget Boxes etc  to have the whole bunch at once to :
			- Give a prefixed name for all of them
			- Extract the widget choices to obtain a single style to process it through a given class/Fu couple
			
		[groupCssWdgt namePfx="menuIn" fu="substMenuIn" /]
	*/
	function tg_groupcsswdgt(&$v,&$bd){
		$tagsFu= &$this->tagsFu;
		$fBar= &$this->fBar;
		$mWdgt= &$this->mWdgt;
		$tools= &$this->tools;
		$caps= &$this->caps;
		
	
		$namePfx= $v['namepfx'];
		
		$fu= $v['fu']; 		// to do somnething with the chosen style generally subtitute it inside a css
		$cl= $tools->binLoads($v['cl'],'installer');	// class name! Rem can short circuit to $this in case of self refenrence to 'installer'
		$categ= $tools->binLoads($v['categ'],_c_exiClassCateg);
		$cl= $tagsFu->optimClassAccess($categ,$cl);		// from the class name to the class instance
		
	
		$activeDspl= '';
		
		$nameFontKind= $namePfx.'FontKind';
		$activeDspl.= $fBar->coreFontKind($nameFontKind,$v['defont']);		
		
		$nameWeightWgt= $namePfx.'Weight';
		$activeDspl.= $fBar->coreFontweigh($nameWeightWgt,$v['defweight']);
				
		$nameFontSz= $namePfx.'FontSz';
		$activeDspl.= $fBar->coreFontSize($nameFontSz,$v['defsz']);

		$nameColorWgt= $namePfx.'Color';
		$activeDspl.= $fBar->fumFontColor($nameColorWgt,$v['defcolor']);
		
		
		$mWdgt->activeWdgtStr.= $activeDspl;	// don't care with displaying $mWdgt->sentWdgtStr
		
		if ($mWdgt->postedAndSuccess()){
			$font= $tools->postVal($nameFontKind);
			$weight= $tools->postVal($nameWeightWgt);
			$size= $tools->postVal($nameFontSz);
			$color= $tools->postVal($nameColorWgt);
			
			$free= '';
			if ($v['whitebg']===_c_ok){
				$free= ' background-color:white;';
			}
						
			$stl= $fBar->sentenceStyle($font,$weight,$size,$color,'none',$free);	// the style string
			$mWdgt->sentWdgtStr.= $stl;
					
			$cl->$fu($stl);	// exmpl : $fu ==== 'substButtonIn'
		}
	} // tg_groupcsswdgt


	
	/**
		Css file replace kernel
	*/
	function cssFileReplace($stl,$ersatz,$dFn){
		$fls= &$this->fls;
		$fStr= $fls->fileToStr($dFn);
		$fStr= str_replace($ersatz,$stl,$fStr);
		$fls->strToFile($dFn,$fStr);
	} // cssFileReplace


	/* -------------------------------------------------------------------------------------
		To substitute $stl for the button in menu style Language Switch
		[fileSubstitute search="" replace="" dfn="" /]
		
		Input :
			$replace,$search, $dfn
			$implicitCat : 
				true --> implicit concatenation through a general variable
				false --> explicit return for direct concatention.
	*/
	function setFlSubstitute($replace,$search, $dfn=_c_targetExplCentralPolyCss, $implicitCat= true){
		$tagsFu= &$this->tagsFu;
		$v['search']= $search;
		$v['replace']= $replace;
		$v['dfn']= $dfn;
		$subsTag= $tagsFu->rebuildTagStr('fileSubstitute',$v);
		
		if ($implicitCat){
			$this->tagsAdaptCss.= $subsTag._c_R;
		}else{
			return $subsTag._c_R;
		}
	} // setFlSubstitute
	
	
	/**
		Input :
			$stl : the complete 4 combo css stale defined via the builder menu.
			
		Action : add the [fileSubstitute search="" replace="" dfn="" /] tag to do the substitution into 
				_c_targetExplCentralPolyCss at the ersatzDown spot!
	*/
	function substLgMenuIn($stl){
		$this->setFlSubstitute($stl,'ersatzDown');
	} // substLgMenuIn
	
	
	function substLgMenuOut($stl){
		$this->setFlSubstitute($stl,'ersatzUp');
	} // substLgMenuOut
		
	function substLgMenuHover($stl){
		$this->setFlSubstitute($stl,'ersatzHover');
	} // substLgMenuHover


	/* -------------------------------------------------------------------------------------
		To substitute $stl for the main standard static menus. 
	*/
	function cssFlRepStdMenu($stl,$ersatz){
		$this->setFlSubstitute($stl,$ersatz, _c_targetExplCntrlMenuBase._c_vertSmartPhMenName);
		$this->setFlSubstitute($stl,$ersatz, _c_targetExplCentralStdMenu.'stdMenus.css');
		$this->setFlSubstitute($stl,$ersatz, _c_targetExplCentralStdMenu.'stdMenusRight.css');
	} // cssFlRepStdMenu
	

	function cssChangeWidth($width,$ersatz){
		$this->setFlSubstitute($width,$ersatz, _c_targetExplCentralStdMenu.'stdMenus.css');
		$this->setFlSubstitute($width,$ersatz, _c_targetExplCentralStdMenu.'stdMenusRight.css');
	} // cssChangeWidth
	

	/**
		To substitute $stl for the button in menu style 
	*/
	function substMenuIn($stl){
		$tools= &$this->tools;
		
		$this->cssFlRepStdMenu($stl,'ersatzDown');
		
		/*
			Does general column width here
			/Font out, just ebcauise this is the one having the most influence on the general width.
			Could also take the 2 font size and chose the larger one to be sure!
		*/
		$fontSzN= 'menuOutFontSz';
		$fontSz= $tools->postVal($fontSzN);
			
		$this->widthVertMenuCruncher($ersatzMW, $ersatzPoMW, $ersatzIW, $fontSz);
		$this->cssChangeWidth($ersatzPoMW,'ersatzPoMW');
		$this->cssChangeWidth($ersatzMW,'ersatzMW');
		$this->cssChangeWidth($ersatzIW,'ersatzIW');
	} // substMenuIn
	
		
	function substMenuOut($stl){
		$this->cssChangeWidth($stl,'ersatzUp');
	} // substMenuOut
		
	function substMenuHover($stl){
		$this->cssChangeWidth($stl,'ersatzHover');
	} // substMenuHover




	/* -------------------------------------------------------------------------------------
		To substitute $stl for the main standard static menu style 
	*/
	function repSPhoneMenu($stl,$ersatz){
		$this->setFlSubstitute($stl,$ersatz, _c_targetExplCntrlMenuBase._c_vertSmartPhMenName);
	} // repSPhoneMenu

		
	function substSPhFont($stl){
		$this->cssFlRepStdMenu($stl,'ersatzPhoneFont');
	} // substSPhFont
	

	/* -------------------------------------------------------------------------------------
		To substitute $stl for the main standard dropDown menu style 
	*/
	function cssFlRepUlMenu($stl,$ersatz,$kind='all'){
		$tools= &$this->tools;
	
		if ($kind==='phone' || $kind==='all'){
			$this->setFlSubstitute($stl,$ersatz, _c_targetExplCntrlMenuBase._c_vertSmartPhMenName);	// with the DD because meant to be big fonts
		}
		
		if ($kind==='vert' || $kind==='all'){
			$this->setFlSubstitute($stl,$ersatz, _c_targetExplCentralUlMenu.'rvDropDown.css');
			$this->setFlSubstitute($stl,$ersatz, _c_targetExplCentralUlMenu.'vDropDown.css');
		}
		
		if ($kind==='hz' || $kind==='all'){
			$this->setFlSubstitute($stl,$ersatz, _c_targetExplCentralUlMenu.'hDropDown.css');
			$this->setFlSubstitute($stl,$ersatz, _c_targetExplCentralUlMenu.'fullHzDropDown.css');
			$this->setFlSubstitute($stl,$ersatz, _c_targetExplCentralUlMenu.'bottomSetUp.css');
			$this->setFlSubstitute($stl,$ersatz, _c_targetExplCentralUlMenu.'bottomHzSetUp.css');
		}
	} // cssFlRepUlMenu
	
	/**
		The nmenu font In and Out, does not change, the difference is only made with the background colors.
	*/
	function substDdMenuFont($stl){
		$tools= &$this->tools;
	
		$this->cssFlRepUlMenu($stl,'rstzStdFont');
		
		/**
			Width menu dealing : mainWidthCruncher
		*/
		$fontSz= $tools->postVal('ddMenuTxtFontSz');
		$this->widthVertMenuCruncher($ersatzMW, $ersatzPoMW, $ersatzIW, $fontSz);
		$this->cssFlRepUlMenu($fontSz,'erstzFtSz','vert');
		$this->cssFlRepUlMenu($ersatzMW,'ersatzMW','vert');
		$this->cssFlRepUlMenu($ersatzPoMW,'ersatzPoMW','vert');
		$this->cssFlRepUlMenu($ersatzIW,'ersatzIW','vert');
		
		// Note : Horizontal menus have statical hard coded widths !!!
		
		// Non drop down menus down here !!!!!!!
		$fontSz= $tools->postVal('sPhMenuTxtFontSz');
		$this->widthVertMenuCruncher($ersatzMW, $ersatzPoMW, $ersatzIW, $fontSz);
		
		$this->cssFlRepUlMenu($fontSz,'erstzFtSz','phone');
		$this->cssFlRepUlMenu($ersatzMW,'ersatzMW','phone');
		$this->cssFlRepUlMenu($ersatzPoMW,'ersatzPoMW','phone');
		$this->cssFlRepUlMenu($ersatzIW,'ersatzIW','phone');
		
		$fontSz= $tools->postVal('menuOutFontSz');
		$this->setFlSubstitute($fontSz,'erstzFtSz', _c_targetExplCentralStdMenu.'stdMenus.css');
		$this->setFlSubstitute($fontSz,'erstzFtSz', _c_targetExplCentralStdMenu.'stdMenusRight.css');
	} // substDdMenuFont
	
	function adaptBgColorDDMenu($realColor,$level){
		$this->cssFlRepUlMenu($realColor, 'stdRstz'.$level.'BgColor');		// standard bg color 
	} // adaptBgColorDDMenu
		
	function adaptHovColorDDMenu($realColor,$level){
		$this->cssFlRepUlMenu($realColor, 'hovRstz'.$level.'BgColor');		// hover bg color
	} // adaptHovColorDDMenu

		
	/**
		[imGallery /]
	*/
	function tg_imgallery(&$v,&$bd){
		$caps= &$this->caps;
		$mWdgt= &$this->mWdgt;

		$mWdgt->activeWdgtStr.=  $caps->sDiv('', 'width:1070px; float:left; border: 0px dashed black; padding:6px; background-color:white;',_c_edtFillDivName);
	} // tg_imgallery
	
	
	/**
		A single very discrete color widget:
		[vdColorWdgt name="ddMenBgColor" fu="adaptBgColorDDMenu" defcolor="lYellow" /]
		[vdColorWdgt name="ddMenHovColor" fu="adaptHovColorDDMenu" defcolor="dBlue" /]
	*/
	function tg_vdcolorwdgt(&$v,&$bd){
		$tagsFu= &$this->tagsFu;
		$fBar= &$this->fBar;
		$mWdgt= &$this->mWdgt;
		$tools= &$this->tools;
		$caps= &$this->caps;
	
		$name= $v['name'];
		$level= $v['level'];
		$fu= $v['fu']; 		// to do somnething with the chosen style generally subtitute it inside a css
		$cl= $tools->binLoads($v['cl'],'installer');		// class name! Rem can short circuit to $this in case of self refenrence to 'installer'
		$categ= $tools->binLoads($v['categ'],_c_exiClassCateg);
		$cl= $tagsFu->optimClassAccess($categ,$cl);		// from the class name to the class instance
		
		$mWdgt->activeWdgtStr.= $fBar->fumFontColor($name, $v['defcolor']);
		
		if ($mWdgt->postedAndSuccess()){
			$color= $tools->postVal($name);
			$realColor= $fBar->persoToCssColor($color);
			$mWdgt->sentWdgtStr.= $realColor;
			$cl->$fu($realColor,$level);
		}
	} // tg_vdcolorwdgt	

		
	/**
		[thematicLink alt="raibow colors" txtsz="18" img="rainbow.png" hoverall="lGreen" bga="lRed" bgb="lYellow" bgc="lBlue" bgd="lPurple" /]
	*/
	function tg_thematiclink(&$v,&$bd){
		$caps= &$this->caps;
		$tools= &$this->tools;
		$mWdgt= &$this->mWdgt;
		
		$instPth= &$this->installerPath;
		
		$alt= $v['alt'];
		$srcImg= $v['img'];
		
		$vertbg= $v['vertbg'];
		$genIn= $v['genin'];
		$genOut= $v['genout'];
		$genHovering= $v['genhovering'];		
		
		$txtsz= $v['txtsz'];
		$txtcolor= $v['txtcolor'];
		$hoverall= $v['hoverall'];
		
		$bga= $v['bga'];
		$bgb= $v['bgb'];
		$bgc= $v['bgc'];
		$bgd= $v['bgd'];
		
		$jsUp= $caps->jsFunctCallStr('onclick','installer.ddMenuThematic',11,0,$vertbg,$genIn,$genOut,$genHovering,$txtsz,$txtcolor,$hoverall,$bga,$bgb,$bgc,$bgd);
		$ttl= $caps->matTtl($alt);
		$mWdgt->activeWdgtStr.= $caps->img($instPth.$srcImg, $alt, 'slImg', $ttl.$jsUp);
	} // tg_thematiclink

	
	/**
		Set and Calulates the respective width of the 
			menu : $ersatzPoMW
			and the main information panel : $ersatzIW
		See also : mainWidthCruncher
	*/
	function widthVertMenuCruncher(&$ersatzMW, &$ersatzPoMW, &$ersatzIW, $fontSz){
		$ersatzMW= ceil(_c_menuMaxNbOfChars*0.5);	// about 7 "chars"-em for the main vertical menu
		$ersatzPoMW= $ersatzMW + 1;	// + 1 so the menu stays inside it's frame
		$ersatzIW= (int)floor(1190 - $ersatzMW*$fontSz*1.5);
	} // widthVertMenuCruncher



	/* --------------------------------------------------------------------------------------------------
		Local Installer tags : Add content name tag. Eg : for the user simple indented text! Effect : just 
		transmit the id to the [m ..] tag that will deal with the language sensitiv content insertion!
		!! Careful : global instance variables --> keep these functions inside this class!
	*/
	
	/**
		[addLgContent id="xCodeWebMail" /]
	*/		
	function tg_addlgcontent(&$v,&$bd){
		$this->globLgContId= $v['id'];
		return '';
	} // tg_addlgcontent
	
	/**
		[addContent id=" of codeTrans " /]
	*/	
	function tg_addcontent(&$v,&$bd){
		$this->globContId= $v['id'];
	} // tg_addcontent

	/**
		[specMtreeDown down="closed" /]
		specmtreedown ...  down="open" is the default so not useful to specify it explicitely
	*/		
	function tg_specmtreedown(&$v,&$bd){
		$this->globSpecMtrDown= $v['down'];
		return '';
	} // tg_specmtreedown
	
	
	/**
		just to add a visual comment in the indented label parsed in,indentedStrTomTag, does nothing !!
	*/	
	function tg_xrem(&$v,&$bd){
		return '';
	} // tg_xrem
	


	/**
		Save a full table from the current format into the given format sqlW (sql writing)
		Input ;
			$tblN : given table name.
	*/
	function writeTargetRecord($tblN,&$dtbW){
		$aSqlR= &$this->aSql;
		
		$curQ= $aSqlR->selectResource($tblN);
		while ($row= $aSqlR->fetchArray($curQ)){
			$dtbW->newRecord ($tblN,$row);
		} // while
	} // writeTargetRecord	
	
	/**
		Write the target database, being defined by the sent form
			Input: $dtbR= &$this->dtb;
			Output: $dtbW= new localDB($asa,$aSqlW);
	*/
	function writeTargetDtb(){
		$tagsFu= &$this->tagsFu;
		$glob= &$this->glob;
		$acc= &$this->acc;
		$caps= &$this->caps;
		$tools= &$this->tools;
		$fls= &$this->fls;
		$asa= &$this->asa;
		$pRnd= &$this->pRnd;
		$hPwC= &$this->hPwC;
		$aSqlR= &$this->aSql;
		$dtbR= &$this->dtb;
				
		$dtbCmpl= null;
		$aSqlW= new aMySql($asa,$dtbCmpl);
		$dtbW= new localDB($asa,$aSqlW);
		
		$dtbName= $tools->postVal('installerDtbName');
		$dtbServerNm= $tools->postVal('installerDtbAccessUrl');
		$dtbUsrNn= $tools->postVal('installerExtDtbUsrNm');
		$dtbPw= $tools->postVal('dtbPassword');
		
		// Could encapsulate that inside a method and use it in frameBuilder::tg_newdtb()
		$kCode= $tools->postVal('forceLargeInt');	// kCode for ok or ko code !!
		
		$topHshId= $tools->spcCookVal('ckTopHashId');	// real hash 20 chars
		$crptK= $dtbR->getElem(_c_topHashTbl, _c_topHashIdH,$topHshId, _c_topHashC2Pw);
		$sortOfInt= $pRnd->smalLargeIntToExplicit($kCode);
		$dtbPw= $hPwC->doUnCrypt($dtbPw,$crptK,$sortOfInt);

		
		$b= $dtbW->dbConnect($dtbServerNm,$dtbUsrNn,$dtbPw);	// conection again with the database specidied !!
		$possibleConnection= true;
		if ($b===false){
			// $got= $dtbExtUsrNn.' | '.$dtbPw.' | '.$dtbServerNm;
			$got= $dtbExtUsrNn.' | **** | '.$dtbServerNm;
			$fmtGot= $caps->span($got,'forMnWdgtDataErr');	// formated connection param we got
	 		$errNect= $caps->span($glob->sl('Error with the mySql connection','kavo'),'forMnWdgtGenErr');
			$mWdgt->activeWdgtStr= $errNect.$fmtGot._c_._c_.$mWdgt->activeWdgtStr;			
			$mWdgt->serieBoolTest(false);	// force the failure of the main widgets
			$this->imperfect();
			$possibleConnection= false;
			return '';
		}

		$b= $dtbW->createDatabase($dtbName);	// also test if it already exists
		$possibleConnection= true;
		if ($b===false){
			$b= 'Could not create the database : '.$dtbName._c_;
			$glob->userError($b);
			$mWdgt->serieBoolTest(false);	// force the failure of the main widgets
			$mWdgt->activeWdgtStr= $b._c_._c_.$mWdgt->activeWdgtStr;
			$this->imperfect();
			$possibleConnection= false;
			return '';
		}
		
		$b= $dtbW->selectDb($dtbName);
		if ($b===false){
			$b= 'Could not select the database : '.$dtbName._c_;
			$glob->userError($b);
			$mWdgt->serieBoolTest(false);	// force the failure of the main widgets
			$mWdgt->activeWdgtStr= $b._c_._c_.$mWdgt->activeWdgtStr;
			$this->imperfect();
			$possibleConnection= false;
			return '';
		}
		
		
		// Create the database headers
		$xPet= $fls->fileToStr(_c_sqlHeadersFile);
		$glob->loadChgblDtb($dtbW);
		$tagsFu->expand($xPet);
		$glob->loadChgblDtb($dtbR);
		
		
		// Fills the database table with the current runing data
		$v= $aSqlR->onlyTblNames($dtbName);
		reset($v);
		foreach ($v as $key=>$tblName){
			$phpStr= $this->writeTargetRecord($tblName,$dtbW);
		} // foreach
		
		
		// Update the cstDtbNect.php  file!
		$dstDtbNctDfn= _c_phpChooseDtb.'cstDtbNect.php';
			
		$dtbNectStr= $fls->fileToStr(_c_virgDtbNectDfn);
		
		$dtbNectStr= str_replace('installerToChgDtbName',$dtbName,$dtbNectStr);
		$dtbNectStr= str_replace('extToChgDtbUsrNm',$dtbUsrNn,$dtbNectStr);
		$dtbNectStr= str_replace('dtbToChgProdServNm',$dtbServerNm,$dtbNectStr);
		
		$statDtbCrptK= $hPwC->consonStr(5);	// static crypting key
		$dtbNectStr= str_replace('softToChgCrypKey',$statDtbCrptK,$dtbNectStr);
		
		$crptPw= $hPwC->doCrypt($dtbPw,$statDtbCrptK);
		$dtbNectStr= str_replace('extCrpToChgPwName',$crptPw,$dtbNectStr);
		$fls->strongStrToFile($dstDtbNctDfn,$dtbNectStr,true);
		
		if (_c_CurrentDtbAbstract!=='aMySql'){
			$modelDfn= _c_phpChooseDtb.'exmplAboveDtbMySql.php';
			$targetDfn= _c_phpChooseDtb.'aboveDtb.php';
			$modelStr= $fls->fileToStr($modelDfn);
			$fls->strongStrToFile($targetDfn,$modelStr,true);
		}
		
		$b= '';
		$b.= $caps->span('Congratulation, it looks like the MySql environment is fully updated! Now you just need to use the ','fumLink');
		
		$mainHomePage= $dtbR->getGenVar('mainHomePage');
		$ar['justsrf']= _c_ok;
		$url= $tools->urlGivenPage($mainHomePage,$ar);	
		$urlLog= $url.$tools->addUrlVar(_c_pwBoxUrlVar,_c_pwLogReqstVal);
		$b.= _c_.$caps->hLink($urlLog, $glob->sl('Standard Login Link','katzzzztf'),$caps->target().$caps->matCss('forMnWdgtInfo').$caps->matTtl('Click here!'));
		
		
		$b.= _c_._c_;
		$url= _c_IndexFN;
		$url.= $tools->addFirstUrlVar(_c_recoveryActions, 'badMySqlMigration');
		$b.= _c_._c_;
		$b.= $caps->span('Warning, you shoul click on the following link only if you wish to go back to the previous database situation and you have ONLY ONE HOUR to decide before the link desactivation. After that retrograding can be done manually, replacing the aboveDtb.php and cstDtbNect.php with their buffered eponymes ','fumLink');
		$b.= _c_.$caps->hLink($url, $glob->sl('Warning, if things went wrong, you can click on this link to recover the previous state.','zzjghhtf'),$caps->target().$caps->matCss('forMnWdgtInfo'));
		return $b;
	} // writeTargetDtb
					

} // installer
?>
