<?php
/**
	File name : menuFastUp.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	[cenPlugin name="menuFastUp" /]				[_ r="PLUGIN DECLARATION"/]
	[testPlug display="Plugin trial of : " /]		[_ r="A CALL TO tg_testplug()"/]
	
	Direct calls explicit central or external :
			$tagsFu->instExplitCentralCls('classN');
			$tagsFu->instExplitExternalCls('classN');
*/
class menuFastUp extends oTop{
	
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->tagsFu= &$tagsFu;
		$this->glob= &$tagsFu->glob;
		$glob= &$this->glob;
		$this->caps= &$tagsFu->caps;
		$this->tools= &$tagsFu->tools;
		$this->fls= &$tagsFu->fls;
		$this->dtb= &$tagsFu->dtb;
		$this->parser= &$tagsFu->parser;
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('menuFastUp','debugDisplay',false);	
		
		$tagsFu->attribVect[_c_tgMenUp]= array('ref','pg'); // 'ref' === 'pg'
		$tagsFu->attribVect[_c_tgMenTree]= array('pg','down','visible');
		$tagsFu->attribVect[_c_tgMenBut]= $glob->menButAttribV;
		
		$this->genMenTg= &$tagsFu->genMenTgCls;			
		$this->fastUpLevel= 0;
	} // construct


	/**
	*/
	function tags(){
		return array('menup','mtree','menbut');
	} // tags
	

	/**
	*/
	function tg_menup(&$v,&$bd){
		$tagsFu= &$this->tagsFu;
		$tools= &$this->tools;
		$dtb= &$this->dtb;
		$gTg= &$this->genMenTg;
		$parser= &$this->parser;
				
		$abovePg= $tools->binLoads($v['ref'],$v['pg']);
		$xmlNect= $dtb->getCellStr($sz,$abovePg,_c_PolyCellPgM,_c_pcNecStr);
		$xmlNectSc= new scanStr($tagsFu,$xmlNect,$sz,0,false,$abovePg);
		
		if ($this->fastUpLevel<$gTg->gnMenNbStpUpInit){
			$this->fastUpLevel++;
			$bid= $parser->callParser($xmlNectSc);
		}
	} // tg_menup
	

	/**
	*/
	function tg_mtree(&$v,&$bd){
		return '';	// just to get rid of the tag
	} // tg_mtree
	

	/**
	*/
	function tg_menbut(&$v,&$label){
		return '';	// just to get rid of the tag
	} // tg_menbut

		
	/**
		Value of the last menu-visible level
	*/
	function lastLevelVal(){
		return $this->fastUpLevel-1;
	} // lastLevelVal


} // menuFastUp
?>
