<?php
/**
	File name : userCtrlFeedback.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt



	To manage forum or e-mail user controled feedback. Examples :
		[areaBoxStatus ... /]
		

	[cenPlugin name="userCtrlFeedback" /]			[_ r="PLUGIN DECLARATION"/]
*/
class userCtrlFeedback extends oTop{
	
	function __construct(&$tagsFu){
		parent::__construct();	
		$this->glob= &$tagsFu->glob;
		$this->caps= &$tagsFu->caps;
		$this->tools= &$tagsFu->tools;
		$this->fls= &$tagsFu->fls;
		$this->dtb= &$tagsFu->dtb;
														
		// Includes a few default files, such as the current .js and .css files, for more infos, see the method tagsFu::includeSupFiles() in tagsFu.php
		$tagsFu->includeSupFiles('userCtrlFeedback','debugDisplay',false);
		
		$tagsFu->attribVect['areaboxstatus']= array('name','lbl','context');
		
		$this->easyAreaIdx= 0;		// Text area index (... best to use explicit name --> don't need an index)		
	} // construct


	/**
	*/
	function tags(){
		return array('areaboxstatus');
	} // tags
	
	
	/**
		// easyArea0 : default name 1st area box, 2nd=index 1 etc. !! ...
		// If a specific name is given under [mTxtArea .../] the name index disappears
		[areaBoxStatus name="easyArea0" context="mail" /]		
		[areaBoxStatus context="mail" /]	// Best (no name given) --> symetry with area box generator	
		[areaBoxStatus name="bdyNm" context="forum" /]			// default name
	*/
	function tg_areaboxstatus(&$v,&$bd){
		$glob= &$this->glob;
		$caps= &$this->caps;
		$tools= &$this->tools;
		$dtb= &$this->dtb;
		
		
		$context= $v['context'];
		switch ($context){			
			case 'forum':
				$taName= $tools->binLoads($v['name'],'bdyNm');
				$maxSz= $dtb->getGenVar('fumMaxBodySz');
			break;
			
			case 'mail':
			default:
				$taName= $v['name'];
				if ($taName===false){
					$taName= 'easyArea'.$this->easyAreaIdx;
					$this->easyAreaIdx++;
				}
				$maxSz= $dtb->getGenVar('eMailMaxBodySz');
			break;
		} // switch
		
		$lbl= $tools->binLoads( $v['lbl'], $glob->sl('Characters Statistics','kbos') );
		
		/**
			Link to click that JS displays the stats :
		*/
		
		$taSpace= $dtb->getGenVar('eMailMaxBodySz');
		$typed= $glob->sl('Number of inputed DBt','kbot');
		$leftOver= $glob->sl('Number of free DBt','kbou');
		$js= $caps->jsFunctCallStr('onmousedown','userCtrlFeedback.statsTA',4,0,$taName,$taSpace,$typed,$leftOver);
		
		$jsUp= $caps->jsFunctCallStr('onmouseup','userCtrlFeedback.clrStatsTA');
		$jSLink= $caps->spanJs($lbl, $js.$jsUp,'whatSLeftInTA');
		
		
		$id= 'statsCharsInTA'; // the id of the associated span display
		$spanDspl= $caps->spanClId('','wLftInTaAnswer',$id);
		
		return $jSLink.$spanDspl;
	} // tg_areaboxstatus
	
		
	/**
	*/
	function tg_tmptag(&$v,&$bd){
		$caps= &$this->caps;
		$tools= &$this->tools;
	
	} // tg_tmptag

		
	/**
	*/
	function tmp(){
	} // tmp
		
} // userCtrlFeedback
?>