<?php
/**
	File name : emailTag.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


	To obfuscate an email address and it's visible part from bots.
*/
class emailTag extends oTop{	

	function __construct(&$tagsFu){
		parent::__construct();	
		$this->tagsFu= &$tagsFu;
		$this->tools= &$tagsFu->tools;		
		
		include _c_LibPath . 'primJsObfusc.php';
		$this->jsObfusc= new primJsObfusc($tagsFu);
		
		// 	[email addr="" cls=""] Visible string [/email]
		$tagsFu->attribVect['email']= array('addr','cls');
	} // construct


	/**
	*/
	function tg_email(&$v,&$bd){
		$tools= &$this->tools;
		$jsObfusc= &$this->jsObfusc;
		
		$addrEMail= $tools->binLoads($v['addr'],'');
		$cls= $tools->binLoads($v['cls'],'lnLinks');
		return $jsObfusc->fullJsObfuscation($addrEMail,$bd,$cls);
	} // tg_email

} // emailTag
?>
