<?php
/**
	File name : smallVT.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


	Small Vertical Texts. A simple way to short circuit css cross browser limitation and javascript when still having 
	some vertical text. Algo : add a space behind each letter and use a specifically dimentionned DIV to force
	the verticality, so only 2 parameters to fill width="20" height="200" plus the body.
*/
class smallVT extends capsHtml{
	

	function __construct(&$tagsFu){
		parent::__construct($tagsFu->tools);	
		$this->tagsFu= &$tagsFu;
		$this->tools= &$tagsFu->tools;		
		
		$tagsFu->attribVect['vt']= array('cls','stl');
		
		// [whiteInflate]  hello [/whiteInflate]
		$tagsFu->attribVect['whiteinflate']= false;
		
	} // construct


	/**
		Vt for vertical text.
	*/
	function tg_vt(&$v,&$bd){
		$class= $v['cls'];
		$stl= $v['stl'];
		
		// $style= 'width:'.$width.'px; height:'.$height.'px;';
		return $this->div($this->oneTblCell($bd),$class,'','',$stl);
	} // tg_smallvt

	/**
		Adapt the given string for the Vertical Display, so just adds spaces between characters,
		so the string can flow vertically.
	*/
	function tg_whiteinflate(&$v,&$str){
		$tools= $this->tools;
		return $tools->whiteInflate($str);
	} // tg_whiteInflate
	
} // smallVT
?>
