<?php
/**
	File name : starter.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


	File name : starter.php
*/
	
	// Make sure errors will be shown
	ini_set('display_startup_errors', true);
	ini_set('display_errors', true);	
	error_reporting(E_ALL);
	clearstatcache();	// some system file cache

	
	define('_c_statsFoldersRights', 0755);	// standard stats folders rights
	define('_c_statsFilesRights', 0644);	// standard stats files rights
	
	
	define('_c_localhost', 'localhost');	// to detect when the browser (the http request) is/come from the same machine that is used as a server.

	if (atHome()){
		set_time_limit(300);
		// set_time_limit(600);
	}
	

	define('_c_ok','ok');	// browser compatible meaning true
	define('_c_ko','ko');	// browser compatible meaning false	
	define('_c_df','default');	// conventional default litteral value
	
	// To determine/mark an unspecified value when false is not an option ... a specialised remplacement  of _c_ko (probably not useful)
	// rem : null being defined as the non assignation, when a early assignation is conventionnaly preferable
	// it would be odd to assign the non assignable value to a variable, so _c_unspecified does the job for strict boolean variable and anything else that wont get the value '?'
	define('_c_unspecified','?');
	
	
	

	define('_c_IndexDFN', _c_flTchHomeSlsh._c_IndexFN);		// The currently used Main Index DFN with ./ at the start !!
	
	// For rare cases when we absolutly need the real html Name for the ampersand, if a change happend when used need to use _c_Amp instead
	define('_c_realHtmlAmp','&amp;');
	define('_c_rawAmp','&');

	define('_c_Nd', ' />');			// need to keep the tag for some fussy tags content that impact javascript !!!
	define('_c_Br', '<br'._c_Nd); 	// A br xhtml constant to facilitate the passage to xhtml, and now br is even easier to type !! rplaces ''.br.'' ---> in string tedious to replace --> still hard coded <br/> for now

	/*	
		from some source CR are redondant with Linux bur were / are used for MS-Dos, Windows. Ataox being
		not programmmed to run on Windows forcing vertical space in text creation by the suppression of the
		secondary _c_carRet may avert double spacing in some multi-level text creation using external editors.
	*/	
	define('_c_carRet',"\r");
	define('_c_nL',"\n");
	
	define('_c_R', _c_nL);	// previously carriage return & new line now ONLY _c_nL to match Linux conventions and avoid some double line spacing
	define('_c_NdR', _c_Nd._c_R);	
	
	
	define('_c_rNl',_c_carRet._c_nL);	// special cr nl to use when both of them are still useful, like with emails.
	
	define('_c_', _c_nL.'<br/>');		// defined here so we can print/test a few things easily
	define('_c_BrFlux', _c_R.'<br class="flux"'._c_Nd);
	
	define('_c_snglQ','\'');			// Single quote.
	define('_c_bkSlash','\\');			// Back slash.
	define('_c_dblBkSlash','\\\\');		// Double back slash.
	
	

	// Forum addition
	define('_c_fxCodeIndx','xCodeIndx');	// Index for the xml code (comments)
	define('_c_rfxPage','xPage');			// Combination of a thread index and an X index.
	define('_c_rfTGroupIdx','rfTbNb');		// Bunch / group of threads numerotation
	
	/**
		ok --> we are in smart phone mode
		what ever else --> desk top mode
	*/
	define('_c_smartPhoneMode','mobileMode');
	define('_c_catWalkMode','catWalkMode');
	define('_c_smartPhUniqParag','uniqueParag');	// for smart-phone mode, to url select a unique paragraph within a page!
	define('_c_smartPhoneSffx','sPh');	// Smart phone mode suffix for file names when caching.
	
	define('_c_idTextsZm','z');		// url variables used for the zooms
	define('_c_zoomCachPfx','zm');	// zoom cache prefix so there is less risk to have an identical page name competing for the cache
	
	// Url variables (what sort of zoom in galleries, volontary non boolean in meanning so values/concepts can be added)
	// state (only transmissible by get() == click) : full / real / can add others later on
	define('_c_sortOfZoom','sortOfZoom');

	define('_c_projDirN', 'projects');
	define('_c_aMainDir', 'aMainDr');
	
	// 
	define('_c_ProjectsPathNS', _c_asppRtPath._c_projDirN);	// Users data path <--- The Directory data path for all users.
	define('_c_ProjectsPath', _c_ProjectsPathNS.'/');
	
	define('_c_cacheDirN', 'cache');		// ataox code directory name
	define('_c_genCachePath',  _c_ProjectsPath._c_cacheDirN.'/');		// general
	define('_c_curCachePathNS',  _c_genCachePath._c_userDataDirName);
	define('_c_curCachePath',  _c_curCachePathNS.'/');		// current cache path
	
	
	define('_c_phpExt','.php');	// current php extension, used only (up to now) when composing file names. (not use for start-tags)
	define('_c_KernelPath', _c_CodePath.'aKernel/');

	define('_c_zCmsDirN', 'zCms');

	

	
	/**
		_c_userDataDirName : HOME directory (mainDataDir assigned only to the master builder from 16-02-2019
		and every new created site should have its own specific data name so we don't run into name clashes
	*/
	define('_c_nsUsrDataPath', _c_ProjectsPath._c_userDataDirName);		// Current user datapath, no slash version. 
	define('_c_UsrDataPath', _c_nsUsrDataPath.'/');						// As above with slash.
	
	
	/**
		ONLY !!!! Exportation / Installation constants 0
	*/
	define('_c_usrStandardDirN', 'mainDataDir');		// Default name for a standard or master data directory
	define('_c_taoxStanDataDir', _c_ProjectsPath._c_usrStandardDirN);	// direct access to mainDataDir
	
	
	
	
	
	
	
	
	define('_c_zCms', _c_UsrDataPath._c_zCmsDirN.'/');

	define('_c_zPhpDataN', 'zPhpData');	


	define('_c_usrPhpData', _c_zCms._c_zPhpDataN.'/');	//	To store the user php data, so global data as what sort of database to use, and eventually (if used) the php data base itself!
	define('_c_phpChooseDtb', _c_usrPhpData.'connect/');	// To store the aboveDtb.php file + connection data
	define('_c_phpDumpDtb', _c_usrPhpData.'phpDtbDump/');

	define('_c_cacheConsFlName', 'cacheConst.php');	
	define('_c_cacheConstantsDfn', _c_phpChooseDtb._c_cacheConsFlName);	 // look in the standard connection (100% php & MySqol) directory : /zPhpData/connect 
	define('_c_allowCache', true);		// So got a single place to code-short-circuit the cache
		
	
	/**
		By definition we do not have access to the main database when using the cache methods and because we
		need a few of these DTB variables, we need to have a parallel storage file.
	*/
	include _c_cacheConstantsDfn;	// must test the existance of the file before calling it
	
	
	/**
		Traffic statistics constants definitions
	*/	
	define('_c_statsVect', '$s');	// traffic statistics vector
	define('_c_statsDirN', 'stats');		// ataox code directory name
	define('_c_genStatsPathNS',  _c_ProjectsPath._c_statsDirN);		// general
	define('_c_genStatsPath',  _c_genStatsPathNS.'/');		// general
	define('_c_curStatsPathNS',  _c_genStatsPath._c_userDataDirName._c_rndStatsDirNmSfx);
	define('_c_curStatsPath',  _c_curStatsPathNS.'/');		// current cache path
	define('_c_statsEventNextIdxDfn',  _c_curStatsPath.'indexNextEvent.php');
	
	$fullComputing= true; // default
	
	
	include _c_KernelPath . 'cacheReader.php';	
	$tgFu= null;	// phoney for the compulsory address-pass parameter
	$cacheR= new cacheReader($tgFu);	// even if not used everytime or at all, it's much simpler to declare it everytimes
	
	if ($cacheR->gotStatWriter()){
		/*	The above test is there to :
			- Writes stats only if _c_localStatsUseIt is set to 'ok' (defines inside mainDataDir/zCms/zPhpData/connect/cacheConst.php)
			  ---> checked inside $cacheR->gotStatWriter()
			- Avoid using the stats writer in most editing times.
		*/
		include _c_KernelPath . 'statsWriter.php';	
		$statsWr= new statsWriter($cacheR);
		if ( !$statsWr->privateActivities() ){
			$ajaxId= $cacheR->getVal('stAjxEventIdx');  
			if ($ajaxId!==false){
				$statsWr->writeNotBotEvent($ajaxId);
				return '';	// Returns an empty string for an Ajax call. Could use die(); instead, but it's less userfriendly!
			}else{
				$statsWr->writeNewStatsEvent();
			}
		}
	}else{
		$statsWr= null;
	}
	
	
	
	if ( _c_allowCache ){
		$uPfx= getVal((_c_urlUniqEdtPfx));	// unique editing prefix
		if ($uPfx===false){
			$fullComputing= $cacheR->tryCurrentCache(); // If available uses the CACHE HERE !!!!!!!
		}
	} // else ... also a good way to get rid of the cache if necessary by renaming the _c_cacheConstantsDfn file
	
	if ($fullComputing){
		define('_c_mothrPage', 'motherPage');
		
		define('_c_generatorDomNm', 'ataox.org');		
		define('_c_generatDsplDomNm', 'Ataox.org');		// displayable version easier on the eyes!
			
		define('_c_copyPaste', _c_CodePath.'copyPaste/');		// Copy paste directory
		define('_c_indepTools', _c_CodePath.'indepTools/');	
		
		define('_c_sqlHeadersFile', _c_copyPaste.'dtbHeaders/tblHds.sql');	

		define('_c_pathJsProxy', _c_zCms.'jsProxy/');
		define('_c_pathAutoCode', _c_zCms.'autoCode/');
		
		define('_c_localZCmsImplic', 'zCms/plugUsrData/implicit/');
		define('_c_localZCmsExplic', 'zCms/plugUsrData/explicit/');
		
		
		/**
			For the path : the local phpDtb belonging to the external +Ataox shell+
		*/
		define('_c_phpDtbDN', 'phpDtb');
		define('_c_phpDtbNS', _c_usrPhpData._c_phpDtbDN);	// for strict php dtb situation (non-sql database)
		define('_c_phpDtb', _c_phpDtbNS.'/');
		
		
		define('_c_imPlugSupCss', _c_UsrDataPath._c_localZCmsImplic);
		define('_c_decPlugSupCss', _c_UsrDataPath._c_localZCmsExplic);
		
		
		
		
		
		define('_c_plugCntrDN', 'central/');		// mainUserData/zCms/plugUsrData/explicit/ 
		define('_c_plugExtDN', 'external/');
		
		define('_c_decPlugSupCssC', _c_decPlugSupCss._c_plugCntrDN);	// (also see _c_toDeclPlugCntr) ../mainUserData/zCms/plugUsrData/explicit/central/ 	
		define('_c_decPlugSupCssE', _c_decPlugSupCss._c_plugExtDN);		// (also see _c_toDeclPlugExt) ../mainUserData/zCms/plugUsrData/explicit/external/ 
		
		
		// To replace old connectInfos.php
		include _c_phpChooseDtb.'cstGeneralNect.php';
		include _c_phpChooseDtb.'cstDtbNect.php';
		
		define('_c_flTechnicalHome', '.'); // matches the directory countaining the main index (surest way to access it)
		define('_c_flPathSlash', '/');		// Standard file, dir name separator
		define('_c_mPathUp', '..');			// To go up when there is nothing to remove from the path	
			
		define('_c_UsrImagePath', _c_UsrDataPath.'images/');
		define('_c_ataoxPersImgPath', _c_UsrImagePath.'zAtaoxPerso/');
		
		
		define('_c_UsrMailsPath', _c_UsrDataPath.'mails/');
		define('_c_UsrMailStorPath', _c_UsrDataPath.'mails/storage/');
		define('_c_UsrMailFumStorP', _c_UsrDataPath.'mails/storForum/');
		
		
		define('_c_usrCpyPasteN', 'usrCpyPaste');
		define('_c_usrCopyPasteNS', _c_UsrDataPath._c_usrCpyPasteN);
		define('_c_usrCopyPaste', _c_usrCopyPasteNS.'/');
	
		
		define('_c_exportSpecFlsNS', _c_usrCopyPaste.'exportationSpecFls');
		define('_c_exportSpecFls', _c_exportSpecFlsNS.'/');
		

		include _c_CodePath . 'const.php';
		include _c_KernelPath . 'oTop.php';
		
		include _c_KernelPath . 'globVar.php';		
		
		include _c_LibPath . 'accents.php';	
		include _c_LibPath . 'capsHtml.php';
		
		define('_c_chooseDtbDFN', _c_phpChooseDtb.'aboveDtb.php');
		include _c_chooseDtbDFN;
			
		define('_c_dtbAbstractDFn', _c_DtbLibPath . _c_CurrentDtbAbstract . '.php');	// To include the current database class.
		
		/**
			_c_LibPath.'aMySql.php' || simulSql.php etc in the case of aMySql.php, may have a few more 
			at installation time, easier to control with  include_once.
		*/
		include_once _c_dtbAbstractDFn;	// _c_DtbLibPath.'aMySql.php' || simulSql.php etc.	
		
		include _c_LibPath . 'tools.php';
		include _c_LibPath . 'filesMg.php';
		include _c_KernelPath . 'topHash.php';
		
		include _c_LibPath . 'pseudoRnd.php';
		
		include _c_LibPath . 'mbCrypt.php';	// always needed to uncrypt the database password
		if (_c_multiByteCrypting===_c_ok){
			include _c_LibPath . 'crypt/mb/xbCrypt.php';	// uses mbCrypt.php
		}else{
			include _c_LibPath . 'crypt/sb/xbCrypt.php';
		}
		
		include _c_LibPath . 'hashPwCrypt.php';
		include _c_PlugMtInit;
		
		include _c_KernelPath . 'rightsMg.php';
		include _c_KernelPath . 'localDB.php';
		include _c_KernelPath . 'scanStr.php';
		include _c_KernelPath . 'tagsFu.php';
		include _c_KernelPath . 'cacheWriter.php';
		include _c_KernelPath . 'tagsParser.php';
			
		include _c_KernelPath . 'editTools.php';
		include _c_KernelPath . 'textEditor.php';
		include _c_KernelPath . 'centraCl.php';
			
		define('_c_sqlSimul', _c_CurrentDtbAbstract==='simulSql');	// true if we have a sql simulation
		
		define('_c_sSmTwRowArNm', '$r');	// sql simulation two row array name !
		define('_c_realSql', _c_CurrentDtbAbstract==='aMySql');
		
		$asa= new centraCl($cacheR,$statsWr);
		$asa->go();	
	} // if ($fullComputing)
	
	
	/* --------------------------------
		End of the STARTER executable block. Function not storable in specific classes (*)
		are defined below. (*) Because can't reasonably instanciate these classes before!
	----------------------------------- */
	
	
	
	// Partial duplication of filesMg.php methods. Strict no redundancy in this case would be quite clumsy!
	function domainName(){
		if (array_key_exists('HTTP_HOST',$_SERVER)){
			$sName= $_SERVER['HTTP_HOST'];
		}else if (array_key_exists('SERVER_NAME',$_SERVER)){
			$sName= $_SERVER['SERVER_NAME'];
		}else{
			$sName= '.';
		}
		return $sName;
	}


	/**
	*/
	function atHome(){
		return domainName()===_c_localhost;
	}
	
	
	/**
	*/
	function getVal($key,$val=false){
		if ( array_key_exists($key,$_GET) ){
			return $_GET[$key];
		}else{
			return $val;
		}
	} // getVal
	
	
?>
