<?php
$r['id']='kSurfLgInfo';
$r['en']='A few explanations about the <b>surfTrans (maximum 30 characters per Id)</b> table (surf only translations table) :
<ul>
<li>This table is dedicated for sentences that can\'t be specified directly inside the Xpetal code (the [...] tags), up to now it\'s mainly a few error messages that are associated with forms.)</li>
<li>The whole point is that up to now, we can\'t assure translation for all possible language that are likely to be used with Ataox, so you\'ll have to complete a few rows, see below.</li>
<li>For example if the identification <b>stMyLittleText_fr</b> and <b>stMyLittleText_en</b> are specified with a respective French and English translations and you wish to add a translation for the language "zzz" (always use lower cases), you just fill the matching fields with one symmetrical value which is <b>stMyLittleText_zzz</b> (don\'t miss the connecting underline) and under the "trans" column goes your translation from French or English, whatever suits you.</li>
<li>Edit the row until the results are correct, then you can test it by making a few relevant mistakes inside the related form, mainly contact forms.</li>
<li>The table fields :</li>
<ul>
<li>id : the Identificator of the related row.</li>

<li>trans : the translation matching the language suffix of the "id"</li>
<li>rem : a comment / remark to explain a few things about what the sentence apply to! In other words contextual information to improve the translation! In most cases the contextual information is obvious and can be deduced from the name of the identificator itself. In these cases self-explanatory is indicated.</li>
</ul>
</ul>








';
$r['langW']='Quelques explications sur la table <b>surfTrans (maximum 30 caract&egrave;res par identificateur)</b> (une table de traductions dont les messages sont d&eacute;di&eacute;s uniquement &agrave; des actions de surf):
<ul>
<li> Cette table est d&eacute;di&eacute;e pour les phrases qui ne peuvent pas &ecirc;tre sp&eacute;cifi&eacute;es directement dans le code Xpetal (les tags [...] ), pour l\'instant ce ne sont que quelques messages associ&eacute;s &agrave; des formulaires) </li>


<li> La raison principale est que nous ne pouvons pas assurer la traduction pour toutes les langues possibles qui sont susceptibles d\'&ecirc;tre utilis&eacute;es avec Ataox, il s\'ensuit que vous devez faire quelques traductions si elles ne sont pas d&eacute;j&agrave; pr&eacute;sentes dans cette table.</li>

<li> Par exemple, si les identificateurs <b> stMyLittleText_fr </b> et <b> stMyLittleText_en </b> sont sp&eacute;cifi&eacute;s avec une traduction fran&ccedil;aise et anglaise et que vous souhaitez ajouter une traduction pour la langue "zzz" (toujours utiliser des minuscules), il vous suffit de remplir les champs correspondants avec une valeur sym&eacute;trique qui est <b> stMyLittleText_zzz </b> (ne manquez pas le soulign&eacute; de connexion). La colonne «trans» est &eacute;videmment d&eacute;di&eacute;e &agrave; votre traduction</li>

<li> Modifier l\'enregistrement jusqu\'&agrave; ce que les r&eacute;sultats soient corrects, vous pouvez ensuite tester l\'affichage de votre traduction, en faisant quelques erreurs pertinentes dans le formulaire correspondant.</li>
<li> Les champs de la table: </li>
<ul>
<li> id:. L\'identificateur de la rang&eacute;e associ&eacute;e </li>

<li> trans: la traduction correspondante.</li>
<li> rem: un commentaire / ou remarques pour expliquer un certain nombre de choses sur ce que la phrase implique! En d\'autres termes des informations contextuelles pour am&eacute;liorer la traduction. Dans la plupart des cas, l\'information contextuelle est &eacute;vidente et peut &ecirc;tre d&eacute;duite du nom de l\'identificateur lui-m&ecirc;me. Dans ces cas, auto-explicatif est indiqu&eacute;.</li>
</ul>
</ul>
';
$r['langX']='';
$r['langY']='';
$r['langZ']='';
$r['comment']='';

?>