<?php
/**
	File name : polyglot.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


	Direct storage of the translations into Php varianles !
	
*/
class polyglot {
	

	function __construct(&$top){
		$this->top= &$top;	// purely formal for now !
		
		// Loads the polyglot vector

		$this->glot['en']['kaaa']= 'Choose your actions : ';
		$this->glot['fr']['kaaa']= 'Choisir une action : ';
		
		$this->glot['en']['kaab']= 'Fast unzipper : this program can be used to quickly unzip the whole directory holding it! No password necessary, because the actions can be done only once until blocking files (.froz) are removed by an authorized user. Warning, if the unzipped program give access rights, in the Ataox case you must be the first person to set it up to impose your password. Easy task considering that you just installed it!';		
		$this->glot['fr']['kaab']= 'Dézippeur rapide : ce programme peut être utilisé pour ouvrir toutes les archives (.zip) présentes dans le répertoire qui le contient! Aucun mot de passe nécessaire car l\'action de dézippage ne peut être effectuée qu\'une fois jusqu\'à ce que les fichiers de blockage (.froz)  soient effacés par un utilisateur ayant droit. Attention, si le programme dézippé donne des droits d\'accès, vous devez être le premier à le configurer pour imposer votre mot de passe, ce qui est facile à réaliser vu que vous venez de l\'installer! ';
		
		$this->glot['en']['kaal']= 'PLEASE NOTE that you need to install this CMS into a directory where the local index.php is free! If the new site is directly connected to the main domain name the directory holding the site is the site "root".';
		$this->glot['fr']['kaal']= 'MERCI DE NOTER que vous devez installer ce CMS / SGC dans un répertoire où le fichier index.php est disponible! Si le site est principal le répertoire pré-cité est la racine du site.';

		$this->glot['en']['kaac']= 'Unzip and update login context';
		$this->glot['fr']['kaac']= 'Dé-zip et met à jour le contexte de connexion';

		$this->glot['en']['kaad']= 'Zip';
		$this->glot['fr']['kaad']= 'Zip';

		$this->glot['en']['kaae']= 'Display the local directory';
		$this->glot['fr']['kaae']= 'Affiche le répertoire local';

		$this->glot['en']['kaaf']= 'Url variable and value to request the login boxes (note that to avoid anybody guessing this call to the login boxes these 2 variables are chosen with random consonances and numbers, but you can input instead something more readable, without any space) : ';
		$this->glot['fr']['kaaf']= 'Variable d\'url et sa valeur pour demander la boîte de login (à noter que pour éviter que quelqu\'un ne devine l\'accès à la boîte de connexion les valeurs sont aléatoires par défaut, mais vous pouvez mettre des valeurs personnelles, sans espaces svp) :  ';
		
		$this->glot['en']['kaag']= 'Create your Ataox user name : ';
		$this->glot['fr']['kaag']= 'Créez votre nom d\'utilisateur Ataox : ';
		
		$this->glot['en']['kaah']= 'Create your Ataox password (minimum 6 characters) : ';
		$this->glot['fr']['kaah']= 'Créez votre mot de passe Ataox (minimum 6 caractères) : ';
		
		$this->glot['en']['kaai']= ' please repeat it : ';
		$this->glot['fr']['kaai']= ' merci de le répéter : ';
		

		$this->glot['en']['kaaj']= 'Please enter your E-Mail, to get a long term memory of the access link (please note that the password is not sent along and that it could be very difficult to log in without this message sent only to you! By the way we don\'t collect information sent with this form or others you\'ll have running on your server) : ';
		$this->glot['fr']['kaaj']= 'Merci de renseigner votre E-Mail, pour avoir une mémoire à long terme du lien de connexion (Attention, le mot de passe n\'est pas envoyé, mais en raison de l\'adresse de connexion personnalisée il pourrait être très difficile de se connecter sans l\'aide du courriel!: A noter que nous ne collectons pas d\'informations par l\'intermédiaire de cette installation.';
		
		$this->glot['en']['kaak']= 'Send';
		$this->glot['fr']['kaak']= 'Envoyer';
		
		$this->glot['en']['kaam']= 'The normalized user name or Id needs at least 2 characters, It is actually : ';
		$this->glot['fr']['kaam']= 'Le nom d\'utilisateur normalisé ou Id doit comprendre au moins 2 caractères! Actuellement il se présente comme ceci : ';
		
		$this->glot['en']['kaan']= 'The password need at least the equivalent of 6 simple characters!';
		$this->glot['fr']['kaan']= 'Le mot de passe à besoin au moins de l\'équivalent de 6 caractères simples!';
		
		$this->glot['en']['kaao']= 'The 2 given passwords are not equal!';
		$this->glot['fr']['kaao']= 'Les 2 mots de passe donnés ne sont pas égaux!';
		
		$this->glot['en']['kaaq']= 'The url login value need at least 1 character!';
		$this->glot['fr']['kaaq']= 'La valeur url de login à besoin d\'au moins 1 caractère.';
		
		$this->glot['en']['kaar']= 'The EMail is not valid!!';
		$this->glot['fr']['kaar']= 'L\'E-mail n\'est pas valide!';
		
		// http:// prefis is needed because of the Html base !!
		$this->glot['en']['kaas']= 'Welcome on the main <a href="http://www.ataox.org" class="mailLink">Ataox.org</a> installer, if you haven\'t already done it, please click or copy/paste the following link to log in Ataox :';
		$this->glot['fr']['kaas']= 'Bienvenue sur l\'installateur principal d\'<a href="http://www.ataox.org" class="mailLink">Ataox.org</a>, et si vous n\'avez pas encore fait l\'installation, vous pouvez cliquer ou copier/coller le lien suivant pour vous connecter sur Ataox :';
		
		$this->glot['en']['kaat']= 'To access Ataox';
		$this->glot['fr']['kaat']= 'Pour accéder Ataox';


		
		$this->glot['en']['kaau']= 'We have more than one index candidate, so we have chosen ';
		$this->glot['fr']['kaau']= 'Nous avons plus d\'un candidat comme index principal, nous avons donc choisi ';
		
		$this->glot['en']['kaav']= ' but it could be any of this list :';
		$this->glot['fr']['kaav']= ' mais ce pourrait être n\importe lequel de la liste suivante :';
		
		$this->glot['en']['kaaw']= 'Error : we did\'nt find any index candidate!';
		$this->glot['fr']['kaaw']= 'Erreur : nous n\avons pas trouvé d\'index!';
		
		$this->glot['en']['kaax']= 'Congratulations, thank you to click here to install your website!';
		$this->glot['fr']['kaax']= 'Félicitations, merci de cliquer ici pour l\'installation de votre site Internet!';
		
		$this->glot['en']['kaay']= 'Unzipping was done, but Ataox files haven\'t been recognized!  Note that you can display the current directory files with the "Display ..." option.';
		$this->glot['fr']['kaay']= 'La décompression a été faite, mais les fichiers Ataox n\'ont pas été trouvés! Remarque : vous pouvez afficher les fichiers du répertoire courant avec l\'option "Afficher ...".';
		
		$this->glot['en']['kaaz']= 'Fast zipper / unzipper';
		$this->glot['fr']['kaaz']= 'Décompresseur rapide de fichier zip.';
		
		$this->glot['en']['kaba']= 'Success to unzip : ';
		$this->glot['fr']['kaba']= 'Succès à la décompression : ';
		
		$this->glot['en']['kabb']= ' (for security reason, this action can\'t be done anymore until the .froz file is deleted) ';
		$this->glot['fr']['kabb']= ' (pour des raisons de sécurité, cette action ne peut pas être faite ou refaite tant que le fichier .froz n\'est pas effacé)';
		
		$this->glot['en']['kabc']= 'Failure to unzip : ';
		$this->glot['fr']['kabc']= 'Pas possible de dé-zipper : ';
		
		$this->glot['en']['kabd']= 'Can\'t unzip : ';
		$this->glot['fr']['kabd']= 'Ne peut pas dé-zipper';
		
		$this->glot['en']['kabe']= ' because it\'s frozen by ';
		$this->glot['fr']['kabe']= ' parce que le programme est bloqué par ';
		
		$this->glot['en']['kabf']= 'Was not able to unzip any file! If it\'s because of a .froz file, the matching files have probably been uncompress in a previous step!';
		$this->glot['fr']['kabf']= 'Il n\'a pas été possible de décompresser les fichiers. Note : si le "problème" vient d\'un fichier .froz, les fichiers concernés ont probablement été décompressés à une étape précédente!';
		
		$this->glot['en']['kabg']= 'Just created ';
		$this->glot['fr']['kabg']= 'Juste créé ';
		
		$this->glot['en']['kabh']= 'No relevant files or directory to create an archive! Note : this program avoids to archive itself!';
		$this->glot['fr']['kabh']= 'Il n\'a pas de fichiers ou de répertoires valides pour créer une archive! Remarque : ce programme évite de s\'archiver lui même!';
		
		$this->glot['en']['kabi']= 'List of files and directories :';
		$this->glot['fr']['kabi']= 'Liste de fichiers et de répertoires :';
		
		$this->glot['en']['kabj']= 'No Actions';
		$this->glot['fr']['kabj']= 'Pas d\'actions';
		
		$this->glot['en']['kabk']= 'This is the future access to your new website login form, available only after the complete installation :';
		$this->glot['fr']['kabk']= 'Ceci est votre accès à la console de connexion de votre nouveau site, disponible seulement après l\'installation complète :';
		
		$this->glot['en']['kabl']= 'This is the future direct access to your new website';
		$this->glot['fr']['kabl']= 'Accès direct au futur site.';
		
		$this->glot['en']['kabm']= 'Sub-domain name or Internal access path (most cases : leave empty when the installation is at the domain root) : ';
		$this->glot['fr']['kabm']= 'Sous domaines ou chemin d\'accès interne (laisser vide si l\'installation est principale c\'est à dire à la racine du domaine) : ';


		$this->glot['en']['kabn']= 'Top level (leave empty)';
		$this->glot['fr']['kabn']= 'Niveau principal (laisser vide)';

		$this->glot['en']['kabo']= 'Sub domain';
		$this->glot['fr']['kabo']= 'Sous domaine';

		$this->glot['en']['kabp']= 'Sub path, Directories';
		$this->glot['fr']['kabp']= 'Sous Répertoires';

		$this->glot['en']['kabq']= 'Error : no directory inside the project directory!';
		$this->glot['fr']['kabq']= 'Erreur : pas de répertoires dans le répertoire de projets';

		$this->glot['en']['kabr']= 'Error : the project folder coreInstallerDN does not exists!';
		$this->glot['fr']['kabr']= 'Erreur : le répertoire du projet coreInstallerDN n\'existe pas!: ';
		
		$this->glot['en']['kabs']= 'The normalized user name or Id can\'t be egual to ';
		$this->glot['fr']['kabs']= 'Le nom d\'utilisateur normalisé ou Id ne peut pas être égal à ';


		// Uses the same messages and keys as the main environment		
		$this->glot['en']['kaxv']= 'Congratulations, it seems that the system has enough rights to create the necessary files and directories.';
		$this->glot['fr']['kaxv']= 'Félicitations, apparemment le système a assez de droits pour créer les fichiers et répertoires nécessaires.';

		$this->glot['en']['kaxw']= 'Alert : we could not create and read the following directories and file :';
		$this->glot['fr']['kaxw']= 'Alerte : nous n\'avons pas pu écrire et lire le fichier et les répertoires suivants :';

		

        $this->glot['en']['kaxx']= '(1) Check first if the above indicated file has been created before the FTP upload, if so this CMS isn\'t the owner and probably can\'t write inside the matching directories, so the best thing to do is to erase the 3 identical directories and the included file with FTP so the program can create them again and do the full test.<br/><br/>(2) If point (1) does not apply, you probably have a strong freedom restriction for creating directories or files, this situation is euphemistically called "SAFE MODE" and you need to ask your host provider to remove it so the installation can be completed!';

        $this->glot['fr']['kaxx']= '(1) Merci de contrôler que le fichier mentionné ci-dessus et ses 3 répertoires de noms identiques n\'ont pas été envoyés par FTP, si c\'est le cas il faut les effacer et rafraîchir cette page pour continuer le test d\'installation. <br/><br/>(2) Si le point (1) de s\'applique pas il est fort probable que le serveur soit restreint par la configuration euphémiquement nommée "SAFE MODE" et vous devez demander à votre hébergeur de la désactiver pour pouvoir continuer l\'installation!';		
		
		

		$this->glot['en']['kaxy']= 'Warning : you do not have writing rights on ';
		$this->glot['fr']['kaxy']= 'Attention : vous n\'avez pas les droits d\'écriture sur ';

		$this->glot['en']['kaxz']= ' please allow reasonable writing rights for resident scripts using any software capable to do it, in most cases the FTP software. The residents scripts are therefore in charge of screening the users. Remark : in some cases, complete writing rights (seven, seven, seven) must be granted so as to allow an http browser driven process to write into a FTP generated directory';
		$this->glot['fr']['kaxz']= ' merci d\’autoriser les droits d\'écriture raisonableS pour les applications résidentes sur le serveur ... (c\'est ces dernières qui se chargent aussi de filtrer les utilisateurs), ... en utilisant une application ad hoc, généralement un programme FTP.  Remarques : dans certains cas des droits d\'écritures complets (sept, sept, sept) doivent être accordé temporairement pour permettre à un processus navigateur Http d\'écrire dans un répertoire généré par du FTP';	
		
		$this->glot['en']['kabt']= 'Please click here to check the full browser-server encryption compatibilities.';
		$this->glot['fr']['kabt']= 'Cliquer ici pour contrôler la compatibilité de votre navigateur avec le serveur pour le cryptage des mots de passe.';
		
		$this->glot['en']['kabu']= 'Congratulation your browser using UTF-16 is fully compatible with the server UTF-8 code used for password encryption.';
		$this->glot['fr']['kabu']= 'Félicitations, votre navigateur utilisant l\'UFT-16 est entièrement compatible avec l\'UTF-8 du serveur pour le cryptage de mots de passe.';
		
		$this->glot['en']['kabv']= 'Sorry we have a partial browser-server incompatibility for password encryption, please click below to check the partial compatibility or use another browser.';
		$this->glot['fr']['kabv']= 'Désolé, nous avons une incompatibilité partielle entre votre navigateur et le serveur pour le cryptage des mots de passe, merci de cliquer ci-dessous pour contrôler la compatibilité partielle ou de changer de navigateur.';


		$this->glot['en']['kabw']= 'Please click here to check the partial browser-server UTF-8 encryption capabilities!';
		$this->glot['fr']['kabw']= 'Cliquez ici pour contrôler la compatibilité partielle entre votre navigateur et le serveur';
		
		$this->glot['en']['kabx']= 'Congratulation your browser passed the partial compatibility test, if it did not pass the full UTF8 compatibility test, you can use only English characters and numbers in your password, or use another browser.';
		$this->glot['fr']['kabx']= 'Félicitations, votre navigateur vient de passer le test de compatibilité partielle! S\'il n\'a pas passé le test de compatibilité global, cela implique que les mots de passe doivent se limiter à de l\'alpha-numérique anglais (pas d\'accents).';
		
		$this->glot['en']['kaby']= 'Sorry we have a total browser-server incompatibility for password encryption, please use another browser.';
		$this->glot['fr']['kaby']= 'Désolé nous avons une incompatibilité totale pour le cryptage des mots de passe, la solution consiste à utiliser un autre navigateur.';

		$this->glot['en']['kabz']= 'You are about to install a private Ataox Master Version only designed for Ataox kernel programmers (if you just want to build a web site please download the last standard distribution). The original environment does not need much modifications, for example passwords and loggin syntax are unchanged and therefore not asked.';
		$this->glot['fr']['kabz']= 'Attention : vous êtes sur le point d\'installer une version Maître privée d\'Ataox uniquement prévue pour les programmeurs du noyau Ataox. L\'environnement d\'origine reste en grande partie inchangé par exemple l\'ancien mot de passe  et url associé sont identiques et ne doivent donc pas être renseignés.';
	} // construct


	/**
		Only a surf mode, so surf language --> sl
		
		$this->sl('blabla','kaaa')
	*/
	function sl($englStr,$id=false){
		if ($id===false) return $englStr;
		$lg= $this->getCurrentLg();
		
		$subVect= $this->glot[$lg];	// Also try & !!!!!!
		
		if (array_key_exists($id,$subVect)){
			return $this->glot[$lg][$id];
		}else{
			return $englStr;
		}
	} // xl


	/**
	*/
	function getVal($key,$val=false){
		if (isset( $_GET[$key] )){
			return trim($_GET[$key]);
		}else{
			return $val;
		}
	} // getVal
	
	/**
	*/
	function postVal($key,$val=false){
		if (isset( $_POST[$key] ))
			return trim($_POST[$key]);
		else
			return $val;
	} // postVal
	
	/**
	*/
	function gostVal($key,$val=false){
		$u= $this->getVal($key);
		if ($u===false){
			$u= $this->postVal($key);
		}
		if ($u===false){
			$u= $val;
		}
		return $u;
	} // gostVal	
	
	
	/**
	*/
	function getCurrentLg(){
		return $this->gostVal(_c_lgUrlVar,'en');
	} // getCurrentLg
	
	
} // polyglot
?>
