<?php
/**
	File name : topObj.php
	Author of this file : Oscar Fawer until 2019-08-15
	Contact : www.ataox.org 
	Web sites : ataox.org / ataox.com / ataox.info
	Copyrights open source GPL, GNU General Public License V3 : see ./aMainDr/code/LICENSE.txt


	Strategy : upload the few unzip tiny files with FTP, then can unzip a big zipped file that was uploaded with FTP too!
	Note : a given file can be unzipped only once, because an empty file with the same name and the extension froz (frozen) is created just after! So if it's a CMS it's not possible to reinstall it and erase what was done with it.
*/
class topObj{
	

	function __construct(){
		
		define('_c_generatorDomNm', 'ataox.org');		
		define('_c_localhost', 'localhost');		
				

		define('_c_Rs',' ');			// real space
		define('_c_Ns','&nbsp;');		// non breakable space
		define('_c_lt','<');
		define('_c_gt','>');
		define('_c_Amp','&');
		define('_c_Interog','?');	// just the unique url interogation mark
		define('_c_rT',"\t");			// real tab
		define('_c_BrFlux', _c_R.'<br class="flux"'._c_Nd);

		define('_c_snglQ','\'');			// Single quote.


		define('_c_ok','ok');
		define('_c_ko','ko');

		define('_c_anyFormSentId','anyFormSentId');	// On ALL forms to check a general post action
		
		define('_c_lgUrlVar','lg');		// the language url bariable
		
		define('_c_ataox','aMainDr');
		define('_c_ataoxPathNS', './'._c_ataox);	// no slash
		define('_c_ataoxPath', _c_ataoxPathNS.'/');	

		
		define('_c_copyPaste', _c_ataoxPath.'code/copyPaste/');		// Copy paste directory
		define('_c_ProjMatrixFN', 'projVirginMatrix');		// The matrix directory name (imitially in framebuilder, but more practical here, used in centraCl.php for testing)
		define('_c_cpyPstVirginMtx',_c_copyPaste._c_ProjMatrixFN.'/');
		define('_c_virginConnect', _c_cpyPstVirginMtx.'zCms/zPhpData/connect/');
		
		/**
			2 Models to fill !!
		*/
		define('_c_virgGenNectDfn', _c_virginConnect.'cstGeneralNect.php');
		define('_c_virgDtbNectDfn', _c_virginConnect.'cstDtbNect.php');
		
		
		define('_c_projectPath', _c_ataoxPath.'projects/');
		define('_c_installerPath', _c_projectPath.'coreInstallerDN/');
		define('_c_stallerZcmsPth', _c_installerPath.'zCms/');
		
		// "secret" path names for ersatzt defined directories
		define('_c_muSecretPathN', _c_stallerZcmsPth.'secret_ers_a_tztD');
		define('_c_achSecrtPathN', _c_projectPath.'arch_ers_a_tztD');
		
		define('_c_guestUserId', 'guest');		// only used if allowed inside the users table

		include _c_CodePath . 'polyglot.php';
		include _c_CodePath . 'pseudoRnd.php';
		include _c_CodePath . 'mbCrypt.php';
		include _c_CodePath . 'capsHtml.php';
		include _c_CodePath . 'filesMg.php';		// file and general tools !!!
		include _c_CodePath . 'unzipMain.php';
		
		$polyglot= new polyglot($this);
		$this->glot= &$polyglot;
		
		$pRnd= new pseudoRnd($this);
		$this->pRnd= &$pRnd;
			
		$mbCrypt= new mbCrypt($this);
		$this->mbCrpt= &$mbCrypt;	
		
		$caps= new capsHtml($this);
		$this->caps= &$caps;
		
		$fls= new filesMg($this);
		$this->fls= &$fls;
		
		$main= new unzipMain($this);
		$this->main= &$main;
		$caps->setMain($main);
		$pRnd->setMain($main);
		
		if ($main->corePhpGotLrgeInt()===_c_ok){
			define('_c_forceLargeInt',_c_ok);
		}else{
			define('_c_forceLargeInt',_c_ko);
		}
	} // construct

	/**
	*/
	function go(){	
		$main= &$this->main;
		$main->go();
	} // go

} // topObj
?>
